View Issue Details

IDProjectCategoryView StatusLast Update
0000827Main CAcert Websitetverifypublic2015-05-12 20:29
Reporteriang Assigned Toegal  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Fixed in Version2011 Q4 
Summary0000827: Tverify points to be deprecated
DescriptionAccording to m20090928.1 all Assurance Points allocated under the Tverify are to be expired no later that 20101116, retrospectively. This possibly requires a code patch to treat Tverify points differently.

Members should be warned. Probably, an ad hoc or special script to extract all members who have Tverify allocated points and send out a mail. Could be in two groups, those who need to get more assurances, and those who don't.
Additional Informationhttps://community.cacert.org/board/motions.php?motion=m20090928.1

f. All points that are allocated under the Tverify system are to expire no
later than 20101116. This is retrospective. Implementation depending.
Members with Tverify points should be warned, at least one month before the
cut-off. However to give the implementation team maximum flexibility,
there is no definate requirement on warnings, and the team must go ahead if
warnings prove too difficult to deliver.

All points so allocated under the Tverify system should be marked as such
to permit early expiration.
TagsPoints, Tverify
Reviewed bydastrath, NEOatNHNG
Test Instructions

Relationships

related to 0000942 closedNEOatNHNG Main CAcert Website CATS import interface is not fit to handle non-Assurer Challenge tests 
related to 0000855 closedUli60 Main CAcert Website Fix adding TTP assurance method on testserver (was: admin console lists "empty" and "Unknown" ...) 
parent of 0000716 closedUli60 Main CAcert Website non-intuitive to find out if one’s still an assurer 
related to 0000933 closed test.cacert.org The real and the fake 100 points 
related to 0000959 closedNEOatNHNG Main CAcert Website add points tbl A unverified add 
related to 0000882 closedUli60 Main CAcert Website display Assurance when field in list of assurances received, assurances given by a user in admin console interface 
related to 0000888 closedNEOatNHNG Main CAcert Website to add new assurance method TTP 
related to 0000837 closedUli60 test.cacert.org My Points - Assurances rcvd / given unordered on cacert1.it-sls.de vs production server 
related to 0000980 needs workNEOatNHNG test.cacert.org Add to ca-mgr1 routine for Edit Notary table XYZ entry 
related to 0001054 needs review & testingTed Main CAcert Website Review the code regarding the new point calculation in ./includes/general.php 
related to 0001042 needs review & testingEva Main CAcert Website Review the code regarding the new point calculation  
related to 0001134 closedNEOatNHNG Main CAcert Website Delete the board flag thourougly in all parts of our software 
child of 0001355 needs reviewBenBE Main CAcert Website Remove Tverify 

Activities

iang

2010-07-24 10:50

developer   ~0001601

Words for a notification could be:

"Because of the end-of-life of the Tverify program, the Assurance Points allocated to you under the Tverify program will be dropped as of 16th November 2010. To keep your status, you should get assured under our regular CAcert Assurance Program, details HERE. Please note that the web-of-trust under which these points were originally allocated was terminated as of 16th November 2009."

2010-08-25 00:19

 

sql_wot_my_points.diff (3,931 bytes)   
diff --git a/pages/wot/10.php b/pages/wot/10.php
index 4a6afac..cd02470 100644
--- a/pages/wot/10.php
+++ b/pages/wot/10.php
@@ -23,20 +23,13 @@
   </tr>
   <tr>
 <?
-	$query = "SELECT `users`. *, count(*) AS `list` FROM `users`, `notary`
-			WHERE `users`.`id` = `notary`.`from` AND `notary`.`from` != `notary`.`to`
-			AND `from`='".intval($_SESSION['profile']['id'])."' GROUP BY `notary`.`from`";
+	$query = "SELECT COUNT(1) as `assurances` FROM `notary` WHERE `from`=".intval($_SESSION['profile']['id'])." AND `from` != `to`";
+	
 	$res = mysql_query($query);
 	$row = mysql_fetch_assoc($res);
-	$rc = intval($row['list']);
-/*
-	$query = "SELECT `users`. *, count(*) AS `list` FROM `users`, `notary`
-			WHERE `users`.`id` = `notary`.`from` AND `notary`.`from` != `notary`.`to`
-			GROUP BY `notary`.`from` HAVING count(*) > '$rc' ORDER BY `notary`.`when` DESC";
-*/
-	$query = "SELECT count(*) AS `list` FROM `users` 
-			inner join `notary` on `users`.`id` = `notary`.`from` 
-			GROUP BY `notary`.`from` HAVING count(*) > '$rc'";
+	$rc = intval($row['assurances']);
+
+	$query = "SELECT COUNT(1) FROM `notary` GROUP BY `from` HAVING COUNT(1) > {$rc}";
 
 	$rank = mysql_num_rows(mysql_query($query)) + 1;
 ?>
@@ -65,7 +58,7 @@
 	$maxpoints=intval($_SESSION['profile']['points'])-$row['apoints'];
 
 	$points = 0;
-	$query = "select * from `notary` where `to`='".intval($_SESSION['profile']['id'])."' order by `id` desc ";
+	$query = "SELECT n.`id`, n.`date`, n.`awarded`, n.`from` as `from_id`, u.`fname` AS `from_fname`, u.`lname` AS `from_lname`, n.`location`, n.`method` FROM `notary` n LEFT JOIN `users` u ON n.`from`=u.`id` WHERE n.`to`=".intval($_SESSION['profile']['id'])." ORDER BY n.`when` DESC, n.`id` DESC";
 	$res = mysql_query($query);
 	while($row = mysql_fetch_assoc($res))
 	{
@@ -73,12 +66,11 @@
 		if ($points+$awarded > $maxpoints)
 			$awarded = $maxpoints-$points;
 		$points = $points + $awarded;
-		$fromuser = mysql_fetch_assoc(mysql_query("select * from `users` where `id`='".intval($row['from'])."'"));
 ?>
   <tr>
     <td class="DataTD"><?=$row['id']?></td>
     <td class="DataTD"><?=$row['date']?></td>
-    <td class="DataTD"><a href="wot.php?id=9&amp;userid=<?=intval($row['from'])?>"><?=$fromuser['fname']." ".$fromuser['lname']?></td>
+    <td class="DataTD"><a href="wot.php?id=9&amp;userid=<?=intval($row['from_id'])?>"><?=$row['from_fname']." ".$row['from_lname']?></td>
     <td class="DataTD"><?=$awarded?></td>
     <td class="DataTD"><?=$row['location']?></td>
     <td class="DataTD"><?=_(sprintf("%s", $row['method']))?></td>
@@ -105,17 +97,16 @@
   </tr>
 <?
 	$points = 0;
-	$query = "select * from `notary` where `from`='".intval($_SESSION['profile']['id'])."' and `to`!='".intval($_SESSION['profile']['id'])."' order by `id` desc";
+	$query = "SELECT n.`id`, n.`date`, n.`awarded`, n.`location`, n.`method`, n.`to` AS `to_id`, u.`fname` AS `to_fname`, u.`lname` AS `to_lname` FROM `notary` n LEFT JOIN `users` u ON n.`to`=u.`id` WHERE n.`from`=".intval($_SESSION['profile']['id'])." AND n.`to`!=".intval($_SESSION['profile']['id'])." ORDER BY n.`when` DESC, n.`id` DESC";
 	$res = mysql_query($query);
 	while($row = mysql_fetch_assoc($res))
 	{
-		$fromuser = mysql_fetch_assoc(mysql_query("select * from `users` where `id`='".intval($row['to'])."'"));
 		$points += $row['awarded'];
-		$name = trim($fromuser['fname']." ".$fromuser['lname']);
+		$name = trim($row['to_fname']." ".$row['to_lname']);
 		if($name == "")
-			$name = _("Deleted before Verification");
+			$name = '<i>'._("Deleted before Verification").'</i>';
 		else
-			$name = "<a href='wot.php?id=9&amp;userid=".intval($row['to'])."'>$name</a>";
+			$name = "<a href='wot.php?id=9&amp;userid=".intval($row['to_id'])."'>$name</a>";
 ?>
   <tr>
     <td class="DataTD"><?=intval($row['id'])?></td>
@@ -133,4 +124,3 @@
   </tr>
 </table>
 <p>[ <a href='javascript:history.go(-1)'><?=_("Go Back")?></a> ]</p>
-
sql_wot_my_points.diff (3,931 bytes)   

2010-08-25 00:20

 

10.php (5,246 bytes)

law

2010-08-25 00:23

administrator   ~0001681

I just attached a patch/patched file which was intended to fix this, while working in 0000837 and using the wrong source for the patch.

The attached file includes both for archiving here.

However, during testing a bug was noted with this: The administrative increase is not handled properly. As commented by Ulrich:

"der patch zaehlt saemtliche punkte der "awarded" spalte auf.
die 50 punkte zusaetzlich, bestehend aus 25 x 2 punkte administative
erhoehung sind aber nur in der "points" spalte
aufgefuehrt die ja durch den patch nicht angezeigt wird ...
da sind in der spalte awarded eben nur 0 punkte eingetragen ....

dirk's patch muesste an der stelle
'awarded' points bis max + die administrative increase 'points'
die ein user durch assurances dazuverdient anzeigen"

edgarwahn

2010-10-19 08:31

developer   ~0001759

added 10.php to cacert1 for testing

edgarwahn

2010-10-19 14:43

developer   ~0001760

replaced 10.php, added 15.php from latest patch from law (by email)

2010-10-19 14:43

 

patch.zip (3,551 bytes)

Uli60

2010-10-19 15:56

updater   ~0001761

patch documented on https://wiki.cacert.org/Software/CurrentTest
notification sent to testgroup by email
that patch has been added onto testserver

Uli60

2010-10-19 15:57

updater   ~0001762

Dear Software Testers,

we've received a new patch onto the testserver
that needs a wider testing

read Testers entry page => https://wiki.cacert.org/Software/CurrentTest

The patch to test is the "Thawte" patch.
https://bugs.cacert.org/view.php?id=827

With a default user, you can't/should not see this patch
(also to be tested)
So you have to follow the requirements ...

1. Create a testuser (#1) with 0 points.

2. Modify a 2nd user (maybe your primary testuser)
   that this user has the BOARD flag enabled
   (via Testserver-Mgmt-System)
   https://ca-mgr1.it-sls.de/login
   Manage Account - Set Flags => Board Member

3. Login with "BOARD" user to testserver

4. CAcert Web Of Trust - Assure someone

5. enter testuser #1
   select Assurance method "Thawte Points Transfer"
   location: eg Thawte test or similiar
   date: something
   two checkboxes at the bottom
   and add points => 150
   confirm assurance

6. login with testuser #1

7. my details - my points
   there should be an addtl. link

vary the tests with adding more assurance
points onto testuser#1 account,
adding experience points by
assure others eg several of
the john.doe-000@example.com
accounts replace 000 with
a number between 000 and approx 120
by the testuser#1 and so on

The test is not limited to above procedure,
it only is to show you, where to find
the related patch (its somewhere hidden ,-) ...)


Please report all your test results onto
https://bugs.cacert.org/view.php?id=827

If you have further questions,
don't hesitate to contact me directly

Happy testing =;)

MartinGummi

2010-10-19 16:57

updater   ~0001763

Last edited: 2010-10-19 17:09

* the 2nd user must be an assurer
* pass the CATS
* user needs the Flag TTP Admin

MartinGummi

2010-10-19 17:16

updater   ~0001764

result

* checkboxes at bottom not mandatory
* only 35 points
* i found not names of all Testers in the Sponsored Drop Down Box

Assurence

255466 2010-10-19 19:11:27 La Lu 35 Thawte Points Transfer

Uli60

2010-10-20 17:16

updater   ~0001765

Last edited: 2010-10-20 17:19

Thawte Points in the production environment are set to 150 points.
So tests should start with the 150 pts set.
Current AP sets a limit to 35 (50) pts, correct, but this isn't we have to test here ,-) ... tverify program is frozen (probably forever?!?) ....
most common variant:

Your Assurance Points
ID Date Who Points Location Method
255437 19.10.2010 Ulrich Schroeter 150 Tverify Thawte Points Transfer
Total Points: 150

Your Thawte-Points will be revoked as of November 16, 2010. Please check new calculation <here>
Assurance Points You Issued
ID Date Who Points Location Method
Total Points Issued: 0

where <here> is a link
https://cacert1.it-sls.de/wot.php?id=15

Uli60

2010-10-20 17:30

updater   ~0001766

Last edited: 2010-10-20 17:41

on Thawte test user, added CATS, adding 3 assurances given
My Details - My Points - following the <here> link =>
15.php (2nd page) lists points as following => problem? Experience points empty
Experience points from Thawte transfer ? what is with the 3 assurances given ?

Your Experience Points
ID Date Who Points Location Method
Total Points: 0

Your Assurance Points
ID Date Who Points Location Method
255437 19.10.2010 Ulrich Schroeter Revoked Tverify Thawte Points Transfer
Total Points: 0

Assurance Points You Issued
ID Date Who Points Location Method
255469 20.10.2010 John 0 Doe 35 somewhere in the world Face to Face Meeting
255468 20.10.2010 Andreas Bäß 35 somewhere in the world Face to Face Meeting
255467 20.10.2010 Ulrich Schroeter 35 somewhere in the world Face to Face Meeting
Total Points Issued: 105

15.php "Your Assurance Points" displays "Revoked" in red. Total 0 pts, that is correct here.

User that received one of the Assurances lists Assurance in default known order (10.php) with 0 assurance points listed (allready has 100 assurance points). This is current default behavior

peckel

2010-10-26 09:33

reporter   ~0001769

I can confirm that 'TTP Admin' is necessary for the pull-down menu for the selection of the Assurance Method to appear. No further flags had to be set for the assuring account except for 'Board Member' and 'TTP Admin', and without either it the pull-down menu was not available.

peckel

2010-10-26 10:01

reporter   ~0001770

Test Case 1: Explicitly ransferred 0 Thawte points to a test user.

- None of the check boxes nor any of the text fields are mandatory.

- Transferring 0 Thawte points is an accepted operation.

- The user the 0 Thawte points are transferred to can see them in her account, along with the link pointing to the new calculation after revoking the 0 points (which leaves only 0 points).

- After transferring Thawte points, it is impossible for the same assurer to perform a normal face-to-face assurance ('ERROR: You are only allowed to Assure someone once!')

peckel

2010-10-26 10:04

reporter   ~0001771

Test Case 2: Transferred 150 Thawte points to a test user.

- None of the check boxes nor any of the text fields are mandatory.

- Transferring 150 Thawte points is an accepted operation.

- The user the 150 Thawte points are transferred to can see the maximum of 35 points in her account, along with the link pointing to the new calculation after revoking the 35 points (which leaves only 0 points).

- Used a different assurer account to perform a face-to-face assurance with 25 points on the same test user. None of the checkboxes are mandatory here as well.

- Checked the points for the test account again. Now, the link informing about Thawte point expriration is missing and the Thawte points are listed just like normal assurance points, 60 in total. This does not seem OK.

peckel

2010-10-26 10:09

reporter   ~0001772

Addition to Test Case 2:

I then used the link that would have been there if there had been any link to the revised calculation in order to see the status after revoking the Thawte Points (https://cacert1.it-sls.de/wot.php?id=15).

- The list correctly shows the Thawte points as revoked.

- The list correctly shows the 25 points from the face-to-face assurance.

- The total sum of points is, however, set to 0, which is wrong:

Your Assurance Points
ID Date Who Points Location Method
255479 2010-10-26 11:57:23 Peter Eckel 25 Hindenburgring 38, Bad Homburg Face to Face Meeting
255478 2010-10-26 11:48:48 Lazarus Long Revoked Thawte Points Transfer
Total Points: 0

INOPIAE

2010-10-29 04:44

updater   ~0001773

After using the Assurance method "Thawte Points Transfer" with only 35 points granted to the account the mail textes are not correct.
text for the assurer:
You issued 35 points however the system has rounded this down to 200 and they now have 200 points in total.
text for the assuree:
You were issued 35 points however the system has rounded this down to 200 and you now have 200 points in total.
How can 35 points be rounded DOWN to 200. In this case it should be increased.

Uli60

2010-10-31 20:09

updater   ~0001774

Thawte user with 150 pts, added 3 assurances given (as assurer)
page 1 (10.php) lists correct values:
-------------------------------------
Your Assurance Points
ID Date Who Points Location Method
255437 19.10.2010 Ulrich Schroeter 150 Tverify Thawte Points Transfer
Total Points: 150

Your Thawte-Points will be revoked as of November 16, 2010. Please check new calculation here

Assurance Points You Issued
ID Date Who Points Location Method
255467 20.10.2010 Ulrich Schroeter 0 somewhere in the world Face to Face Meeting
255468 20.10.2010 Andreas Bäß 0 somewhere in the world Face to Face Meeting
255469 20.10.2010 John 0 Doe 0 somewhere in the world Face to Face Meeting
Total Points Issued: 0

so 3 assurances done.

page 2 (15.php) lists:
----------------------
Your Experience Points
ID Date Who Points Location Method
Total Points: 0

Your Assurance Points
ID Date Who Points Location Method
255437 19.10.2010 Ulrich Schroeter Revoked Tverify Thawte Points Transfer
Total Points: 0

Assurance Points You Issued
ID Date Who Points Location Method
255469 20.10.2010 John 0 Doe 35 somewhere in the world Face to Face Meeting
255468 20.10.2010 Andreas Bäß 35 somewhere in the world Face to Face Meeting
255467 20.10.2010 Ulrich Schroeter 35 somewhere in the world Face to Face Meeting
Total Points Issued: 105

Your Experience Points seems to be incorrect here ?!?
needs to be checked against 3x 35 pts assurances received
adding 3 assurances thru Testserver-Mgmt-System:
# Number of points
0 0
1 0
2 0

Now account seems to be not affected by the Thawte Points removal:
-------------------------------------------------------------------
Your Assurance Points
ID Date Who Points Location Method
255437 19.10.2010 Ulrich Schroeter 150 Tverify Thawte Points Transfer
255508 2010-10-31 21:30:06 John 0 Doe 0 CAcert Test Manager Face to Face Meeting
255509 2010-10-31 21:30:06 John 1 Doe 0 CAcert Test Manager Face to Face Meeting
255510 2010-10-31 21:30:06 John 2 Doe 0 CAcert Test Manager Face to Face Meeting
Total Points: 150

Assurance Points You Issued
ID Date Who Points Location Method
255467 20.10.2010 Ulrich Schroeter 0 somewhere in the world Face to Face Meeting
255468 20.10.2010 Andreas Bäß 0 somewhere in the world Face to Face Meeting
255469 20.10.2010 John 0 Doe 0 somewhere in the world Face to Face Meeting
Total Points Issued: 0

Link to 15.php no longer exists.
manual execution of 15.php
-----------------------------------------------------------
Your Experience Points
ID Date Who Points Location Method
Total Points: 0

Your Assurance Points
ID Date Who Points Location Method
255510 2010-10-31 21:30:06 John 2 Doe 30 CAcert Test Manager Face to Face Meeting
255509 2010-10-31 21:30:06 John 1 Doe 35 CAcert Test Manager Face to Face Meeting
255508 2010-10-31 21:30:06 John 0 Doe 35 CAcert Test Manager Face to Face Meeting
255437 19.10.2010 Ulrich Schroeter Revoked Tverify Thawte Points Transfer
Total Points: 0

Assurance Points You Issued
ID Date Who Points Location Method
255469 20.10.2010 John 0 Doe 35 somewhere in the world Face to Face Meeting
255468 20.10.2010 Andreas Bäß 35 somewhere in the world Face to Face Meeting
255467 20.10.2010 Ulrich Schroeter 35 somewhere in the world Face to Face Meeting
Total Points Issued: 105

Experience points should list: at least 3 times 2 pts assurances
and probably 50 experience points from "Thawte" 150 pts revocation ?!?

Next problem: Your Assurance Points
results in total 0 -> should be 100

Uli60

2010-11-01 13:18

updater   ~0001775

the link to 15.php should probably added for all conditions
only short info in text, if affected or not:
* you are affected by the Thawte points removal, details here
 or
* you are not affected by the Thawte points removal, details here

with all points listed, as today the Thawte points are removed, and the points turn order has been implemented, also for all other users
including recalculation of assurances received, assurances given and experience points

Uli60

2010-11-02 16:21

updater   ~0001776

Last edited: 2010-11-02 16:21

[2010-11-01] sent report summary of found problems to
Developer (dirk) and SA (edgarwahn)
for further review

Uli60

2010-11-02 16:29

updater   ~0001777

Last edited: 2010-11-02 16:31

[2010-11-01] sent request about further infos regarding thawte points removal
and related experience points to bug reporter Iang
the problem, nobody has an idea on is the removal of thawte points effects assurance points, as they are no longer verifyable thru the Thawte server.
Whats about experience points ?
A "Thawte" notary who gave 50 assurances in the past, had 150 pts transfered from "Thawte" to be verified assurer. If the 100 Assurance points gets removed, are the experience points (50 pts) also effected by the points removal ?
one Thawte user who no further did assurances and did not received any assurance results in 0 assurance points and 0 experience points after the points removal process. If he receives 3 assurances a 35 pts he again reaches the 100 pts level. What happens with the experience points ?
should the 50 experience points counted from the Thawte transfer ? or has the Thawte user to start with 0 experience points ? (assumed he passed the CATS)

From original request "m20090928.1 all Assurance Points allocated under the Tverify are to be expired" this affects only the Assurance points, not the experience points.

iang

2010-11-08 12:27

developer   ~0001779

Responding to 0001777.

Points transferred from the Thawte system are to be not used in our WoT calculations any more. Which is to say, if the points came from activities in Thawte's system, then they no longer have the "foundation" useful for our WoT.

FTR, the records should remain, but the points should not counted when displaying an Assuree's level. Think about double entry book keeping: we don't delete records, but we might change the way we count them. This is such a case.

For Experience Points, the same rule applies. If the EPs were transferred from the Thawte system, they no longer get counted (see point e. in m20090928.1).

If the EPs were earnt inside CAcert's WoT, then they are still counted, regardless of other factors. As are all APs allocated by Tverify-assurers within our WoT by their CAcert assurances, and all APs allocated to Tverify members.

(Yes, if we'd been smart enough we'd have mandated mutual assurances a long time ago...)

(This is as I see it the wording of m20090928.1. However we didn't really consider EPs, it is possible that this could be appealed against. But frankly, I doubt the code issues are greater than the discussion and argument issues?)

Uli60

2010-11-17 22:40

updater   ~0001788

Testcase:
user A: had rcvd 35 pts f2f, 100 pts thawte, IsAssurer
user B: rcvd 25 pts from user A

my points on user B (not rcvd thawte points before)
Your Thawte-Points will be revoked as of November 16, 2010. Please check new calculation here
 Assurance Points You Issued ID Date Who Points Location Method Total Points Issued: 0

needs to be verified

Uli60

2010-12-15 02:55

updater   ~0001824

[2010-12-14]
Dirk: added Bugs # 827 (Update 2010-12-14)
/pages/wot/10.php (fixed link)
/pages/wot/15.php x1)

x1) incorporated infos from arbitration cases:
https://wiki.cacert.org/Arbitrations/a20091118.1
 - Assurances while TTP program frozen
https://wiki.cacert.org/Arbitrations/a20101114.1
 - Adhoc interactive SQL-query
https://wiki.cacert.org/Arbitrations/a20100822.1
 - SQL Query

transfered within Software-Assessment team meeting 2010-12-14
https://wiki.cacert.org/Software/Assessment/20101214-S-A-MiniTOP
into git repository cacert-devel
and further pushed onto testserver repository
http://cacert1.it-sls.de/

Uli60

2010-12-15 03:45

updater   ~0001825

https://wiki.cacert.org/Software/Assessment/Documentation
step 3
https://wiki.cacert.org/Software/CurrentTest/testfinished20101129 created
https://wiki.cacert.org/Software/CurrentTest updated

Testteam t/l mails out to the testteam the starting of a new test round
........................................................................
Hi Software-Testteam,

The last active patch tested
(NRP-DaL to be removed Bug 0000876
https://bugs.cacert.org/view.php?id=876)
finishes the update cycle 2010-11-29

The 2nd active patch has undergone
a review and a rewrite, so its updated
to the
Bugs # 827 (Update 2010-12-14)
https://bugs.cacert.org/view.php?id=827

This patch now has to be tested.
Please add your successful test reports
under https://bugs.cacert.org/view.php?id=827
Also place your bug reports (hopefuly none) here.

You have no account yet under bugs.cacert.org ?
  https://wiki.cacert.org/Software/Assessment/FAQ
  please read tops 7. and 8.

As this is the known "Thawte Patch", that
has been announced to become active before November 16th, 2010 (!)
we're now on a hurry ... to get this patch passed.
This does not mean, to pass this test thru.
This does mean, please start your tests as soon as possible.
As more testers start their testings, as sooner we're probably
able to find problems. If we're do not find any problems,
Software-Assessors can continue to pass the patch onto
production system, so the announcement mailing to the
ex-Thawte notaries can start as soon as possible.

To be noticed:
this is the first step in a process to turn the points
counting.
So current patch shows on page 1 under
My Details - My Points
the current state of points counting (10.php), so you're
probably familiar with over years.
The link on top of this page links to the 15.php script
(The calculation of points will be changed in the near future.
    Please check the new calculation ===> here <=== )
that shows you the proposed new points counting schema
(including the removal of Thawte points).

The 15.php (new points count) page shows several sections:

Section 1: the assurance points you've issued as assurer
    Points lists the points you've awarded over an user.
    the last column lists the experience points that
    comes into counting for overall counting of your
    experience points (max limit 50 pts)
    If one assurance will be revoked, you can see here
    if you have enough points that your experience points
    count may not decrease or if you have enough experience
    points left. If the limit of 50 experience points is
    reached, the total experience points is allready 50 pts.

Section 2: Assurance points you've received
    (from other assurers or other assurance methods)
    This table should list all your received assurance points
    and probably also some experience points
    eg from earlier TTP's, Super-Assurers and so on
    Entries with Assurance method "Thawte" should list
    points as "revoked". Method "c't Magazin" too.

Section 3: totals summary
    The Totals texts has no translations available yet
    This is not a bug (!). Its a feature, as the new
    patch hasn't been added onto the production system
    yet.

    Total assurance points should be limited to max 100
    Assurance points.
    Experience points to be limited to 50 experience pts

    Total Experience Points (other ways):
       the results here depends on experience points
       counted from assurance given and assurances received
       (including experience points).
       If you've received experience points by assurances
       given, these points have a higher weight.

All tables are ordered by date in descending order.
Date depends on the internaly saved date, when the assurance
was entered into the system. So if you have added garbage
into a date field, it maybe ordered correctly with a wrong
"date" content. This behavior is as expected.

Don't hesitate to ask me or dirk further questions
if you're running into a problem,
or if there is a problem of understanding.
If so, also put this in a bug note report, so this may become
helpful, to improve the current patch.

So thats all the infos I can give for the moment.
All I can say now is

    Happy testing ...
........................................................................

Uli60

2010-12-17 18:35

updater   ~0001826

user: rcvd thawte 150, 3x assurances a 35 pts, 3 assurances given:
10.php (old style) -> as expected
15.php (new style)
Assurance Points You Issued -> 3x 35 pts, total 105 -> ok
each listed with 2 experience pts, total 6 -> ok

Your Assurance Points
30, 35, 35 (f2f) -> ok
Revoked Tverify Thawte Points Transfer
Assurance points -> total 100 -> ok

Total Assurance Points: 100
Total Experience Points by Assurance: 6
Total Experience Points (other ways): 0
Total Points: 106

all ok.

Uli60

2010-12-17 19:03

updater   ~0001827

user rcvd thawte, ct'magazine and others, also many f2f, administrative increases
10.php (old style)
"special" existing entries in Assurances rcvd table:
(a) 255390 2010-09-01 22:40:22 Mario Lipinski 0 CT CT Magazine - Germany
(b) 255388 2010-09-01 22:37:23 Mario Lipinski 0 TTP "" <- EMPTY !!!
(c) 255383 2010-08-25 10:37:47 Mario Lipinski 50 38102 Thawte Points Transfer
(d) 255384 2010-08-25 10:38:10 Mario Lipinski 0 38102 "" <- EMPTY !!!
(e) 255385 2010-08-25 10:38:58 Mario Lipinski 0 "" "" <- 2x EMPTY !!!

Points issued:
(f) 255391 01.09.2010 Wac³aw Schiller 35 from home (ttp) "" <- EMPTY !!!
(g) 255395 22.09.2010 Andreas Bäß 0 virtual it-sls host "" <- EMPTY !!!
(h) 255437 19.10.2010 Gerhard von Reith 150 Tverify Thawte Points Transfer
(i) 255397 27.09.2010 Christa Schroeter 35 TTP w/o location and f2f deselected "" <- EMPTY !!!
(j) 255427 05.10.2010 Brigitte Bayer 100 thawte test Thawte Points Transfer
(k) 255428 08.10.2010 Christa Schroeter 115 TTP "" <- EMPTY !!!


15.php (new style)
Your Assurance Points
(a) 255390 2010-09-01 22:40:22 Mario Lipinski Revoked CT CT Magazine - Germany 0 -> ok
(b) 255388 2010-09-01 22:37:23 Mario Lipinski 30 TTP "" 23 -> questionable "" = Empty, still empty, Experience points -> 23 ????? where does this come from ???? assurances before ?
ok: 35 pts f2f + 35 pts f2f + revoked ct'mag + 9 administrative increase = 79 pts total; 100-79 = 21 pts difference 30-21 = 9 -> 23 ???

(c) 255383 2010-08-25 10:37:47 Mario Lipinski Revoked 38102 Thawte Points Transfer 0 -> ok

(d) 255384 2010-08-25 10:38:10 Mario Lipinski 0 38102 50 -> 50 experience points ???? where does this come from ?

(e) 255385 2010-08-25 10:38:58 Mario Lipinski 0 "" "" 0 <- 2x still EMPTY -> mhh

Assurance Points You Issued:
(f) 255391 01.09.2010 Wac³aw Schiller 35 from home (ttp) "" 2 <- still EMPTY, experience pts ok

(g) 255395 22.09.2010 Andreas Bäß 35 virtual it-sls host "" 2 <- still EMPTY, experience pts ok

(h) 255437 19.10.2010 Gerhard von Reith 150 Tverify Thawte Points Transfer 2 -> entered as Thawte Assurance method into the system, ok here

(i) 255397 27.09.2010 Christa Schroeter 35 TTP w/o location and f2f deselected "" 2 <- still EMPTY -> mmhh

(j) 255427 05.10.2010 Brigitte Bayer 100 thawte test Thawte Points Transfer 2 -> still ok here

(k) 255428 08.10.2010 Christa Schroeter 150 TTP "" 2 <- still EMPTY -> mmhh

summary ok
Total Assurance Points: 100
Total Experience Points by Assurance: 50
Total Experience Points (other ways): 0 Limit reached
Total Points: 150

Uli60

2010-12-21 22:04

updater   ~0001828

Last edited: 2010-12-22 02:34

ID Date Who Points Location Method Experience Points
255570 17.11.2010 Tom Taler 25 virtual irc meeting Face to Face Meeting 2
Total Points Issued: 25 Total Points: 2

ok here

Your Assurance Points
ID Date Who Points Location Method Experience Points
255427 05.10.2010 Ulrich Schroeter Revoked thawte test Thawte Points Transfer 0
255426 05.10.2010 Ulrich Schroeter 35 virtuell test Face to Face Meeting 0
Total Assurance Points: 35 => ok

ok here

Total Experience Points by Assurance: 2 => ok
Total Experience Points (other ways): 0
Total Points: 37 => NOT OK, should be 35 (+ 2 experience points on hold)

Also a problem with about 70 assurance pts + 40 experience pts results in 110 total pts

Uli60

2010-12-22 02:29

updater   ~0001830

user id 171070, Thawte points +150, added CATS passed.
giving 20 assurances 35 pts each (+ 20x2 expirience pts, total 40)

10.php lists:
255682 22.12.2010 Ulrich Schroeter 150 Thawte-150 Thawte Points Transfer
Total Points: 150
Your Thawte-Points will be revoked in the near future. Please check new calculation!

Assurance Points You Issued => 20 Assurances
ID Date Who Points Location Method
255683 22.12.2010 John 1 Doe 0 virtual F2F Face to Face Meeting
...
255702 22.12.2010 John 20 Doe 0 virtual F2F Face to Face Meeting
Total Points Issued: 0

ok so far

15.php
Assurance Points You Issued => 20 Assurances
...
255683 22.12.2010 John 1 Doe 35 virtual F2F Face to Face Meeting 2
Total Points Issued: 700 Total Points: 40

comment: order desc => ok, total pts => ok, total expirience pts => ok


Your Assurance Points
ID Date Who Points Location Method Experience Points
255682 22.12.2010 Ulrich Schroeter Revoked Thawte-150 Thawte Points Transfer 0
Total Assurance Points: 0
Total Experience Points by Assurance: 40
Total Experience Points (other ways): 0
Total Points: 40

comment: Total Assurance Pts => Ok, Total experience pts => ok, Total pts (40) => not ok here !!!

adding 2x 35 Assurance pts onto Thawte user by 2 other assurers with method F2F

10.php

Your Assurance Points
ID Date Who Points Location Method
255682 22.12.2010 Ulrich Schroeter 150 Thawte-150 Thawte
255703 22.12.2010 assurer1 0 virtual F2F F2F
255719 22.12.2010 assurer2 0 virtual F2F F2F
Total Points: 150

+ 20 assurances given

comment: ok so far

15.php
Assurance Points You Issued => 20 assurances given a 2 experience pts each
Total Points Issued: 700 Total Points: 40

comment: ok so far

Your Assurance Points
ID Date Who Points Location Method Experience Points
255719 22.12.2010 assuree2 35 virtual F2F F2F 0
255703 22.12.2010 assuree1 35 virtual F2F F2F 0
255682 22.12.2010 Ulrich Schroeter Revoked Thawte-150 Thawte Points Transfer 0
Total Assurance Points: 70
Total Experience Points by Assurance: 40
Total Experience Points (other ways): 0
Total Points: 110

comment: F2F + Thawte listed correct, Total Assurance pts is correct (70), Total Experience pts is correct (40), Total pts is 110 - this is not correct, should be 70

Uli60

2010-12-23 11:38

updater   ~0001831

https://lists.cacert.org/wws/arc/cacert-support/2010-12/msg00104.html

> A similar change will affect the search
> when all the Thawte points are removed, as some current Assurers will
> not have 100 assurance points but will remain listed.

good point ... will the user be listed in the Assurers list ?
from /pages/wot/12.php query:

$query = "SELECT ROUND(6378.137 * ACOS(0.9999999*((SIN(PI() * $loc[lat] / 180)
     * SIN(PI() * `locations`.`lat` / 180)) + (COS(PI() * $loc[lat] / 180 )
     * COS(PI() * `locations`.`lat` / 180) * COS(PI()
     * `locations`.`long` / 180 - PI() * $loc[long] / 180)))), -1)
     AS `distance`, `locations`.`name` AS `location`,
     concat(`users`.`fname`, ' ', LEFT(`users`.`lname`, 1)) AS `name`,
    `long`, `lat`, `users`.`id` as `uid`, `contactinfo` FROM `locations`,
     `users` WHERE `users`.`locid` = `locations`.`id` AND
     `users`.`assurer` = 1 AND `users`.`listme` = 1
     HAVING `distance` <= '$maxdist' ORDER BY `distance` LIMIT 50";

=> display the Assurer listing
  `users`.`assurer` = 1 AND `users`.`listme` = 1
if this is true or false after the points removal

mmh ... but on writing ... this can only be an assumption, not a real value ... 'cause the 15.php lists the behavior after the points removal w/o modifying database content, but IsAssurer and/or listme needs to be modified
so changes may happen. mmhh .. ok, probably its better to open a new bug ticket

INOPIAE

2011-01-07 15:47

updater   ~0001835

A.
Create a new person.
Add 35 Points via Thwate Transfer
Add 70 Points via Automated Assurance
10.php =>100pt. OK
15.php =>70pt. OK
Add cats to that account
With that Account assured two persons
10.php =>104pt. OK
15.php => 70pt Assurance ok.
           4pt Experience ok.
          74pt Total ?? should it not be 70pt and 4pt put on hold
With that Account made a Thwate Assurance
10.php =>106pt. OK
15.php => 70pt Assurance ok.
           4pt Experience ?? what happend to the 2 experience points of the
                             Thwate Assurance
          74pt Total ?? should it not be 70pt and 6pt put on hold

Added 30 points with Administrative Increase to that Account
10.php =>136pt. OK
15.php => 70pt Assurance ok.
           4pt Experience ?? what happend to the 2 experience points of the
                             Thwate Assurance and with the 30 points of AdmInc
          74pt Total ?? should it not be 70pt and 36pt put on hold

I am wondering what will happen if the following scenario exits?
70 pts normal assurance
30 pts Thwate assurance
30 pts experience points through 15 assurance
Will this end up with 100 pt and he is able to assure?

Uli60

2011-01-16 19:32

updater   ~0001837

NEOatNHNG transferred patch update (2011-01-16) from CACERT-DEV onto
http://cacert1.it-sls.de
information to testteam t/l

Uli60

2011-01-16 19:34

updater   ~0001838

Notification about updated patch rev 2011-01-16 to testteam sent out

Uli60

2011-01-16 19:49

updater   ~0001839

first quick check:
[10.php]
255682 22.12.2010 Ulrich Schroeter 150 Thawte-150 Thawte Points Transfer
+ 2 times 0 pts from F2F assurances
Total Points: 150

20 assurances given, displayed 0 pts (is ok here)

[15.php]
points issued, 20 times
255702 22.12.2010 John 20 Doe 35 virtual F2F Face to Face Meeting 2
Total Points Issued: 700 Total Points: 40
ok here

Your Assurance Points
ID Date Who Points Location Method Experience Points
255719 22.12.2010 Brigitte Bayer 35 virtual F2F Face to Face Meeting 0
255703 22.12.2010 Gerhard von Reith 35 virtual F2F Face to Face Meeting 0
255682 22.12.2010 Ulrich Schroeter Revoked Thawte-150 Thawte Points Transfer 0
Total Assurance Points: 70

ok here.

Summary:
Total Assurance Points: 70
Total Experience Points by Assurance: 0 40 Points on hold due to less Assurance points
Total Experience Points (other ways): 0
Total Points: 70

ok here. =;)
bingo.

INOPIAE

2011-01-16 21:28

updater   ~0001840

Create a new person.
Add 35 Points via Thwate Transfer
Add 70 Points via Automated Assurance
10.php =>100pt. OK
15.php =>70pt. OK
Add cats to that account
With that Account assured two persons
10.php =>104pt. OK
15.php => 70pt Assurance ok.
           0pt Experience 4 Points on hold due to less Assurance points ok.
          70pt Total OK
Add another normal assurance 35pkt to that account from a second account
10.php =>104pt. OK
15.php => 100pt Assurance ok.
            4pt Experience
          104pt Total OK
Seems to be everything fine

Uli60

2011-01-22 13:32

updater   ~0001841

sent out once more a request to the testteam, to push on testing

Uli60

2011-01-31 04:20

updater   ~0001851

detailed instructions on how to create several user test accounts,
infos about bug 0000827, and sample test matrix sent to Testers Group

NEOatNHNG

2011-02-16 19:11

administrator   ~0001870

Patch reviewed and some issues fixed:
- Fix HTML markup
- Slight rewordings
- Always initialize variables before use
- Use printf() or echo instead of escaping PHP mode and immediately entering it again

Changes are available in branch bug-827 (Commit ID: a509863d4933c17fe08f6081858c6b22c4517fdd)

There should be no change in functionality
Please review and test

Uli60

2011-02-19 15:01

updater   ~0001871

glossary: AP = Assurance Points, EP = Experience Points, TP = Tverify Points
          (p10) = 10.php, (p15) = 15.php
          GA = Given Assurances, RA = Received Assurance (Your Assurance Points)
          (p15s) = Summary on (p15) x1), ## = Test result summary
          !! = Problem test summary

x1)
ID Date Who Points Location Method Experience Points
        Total Assurance Points: 0
Total Experience Points by Assurance: 0 0 Points on hold due to less Assurance points
Total Experience Points (other ways): 0
                    Total Points: 0


create new user: u1.tverify
State: 0 AP, 0 EP, 0 TP
- (p10) 0, 0, (p15) link exists
        a b
    "Please check the new calculation"
     -> "new calculation" is the link
   a = Your Assurance Points summary
   b = Assurance Points You Issued summary
- (p15) GA: 0, 0
- RA: ./.
- (p15s): 0,0,0,0,0
## All ok as expected

using user: u1.tverify
Added 1 AP
State: 1 AP, 0 EP, 0 TP
logout, login
- (p10) 1, 1, 0, (p15) link exists
        a b c
   a = Your Assurance Points listing
   b = Your Assurance Points summary
   c = Assurance Points You Issued summary
- (p15) GA: 0, 0
- RA: 1/0
- (p15s): 1,0,0,0,1
## All ok as expected

using user: u1.tverify
Added 48 AP
State: 49 AP, 0 EP, 0 TP
logout, login
- (p10) 1, 35, 13, 49, 0, (p15) link exists
        a b c d e
   a - c = Your Assurance Points listing, split to 1 + 35 + 13 (35+13=48)
           asc order
   d = Your Assurance Points summary
   e = Assurance Points You Issued summary
- (p15) GA: 0, 0
- RA: 13/0, 35/0, 1/0 (desc order)
- (p15s): 49, 0, 0, 0, 49
## All ok as expected

using user: u1.tverify
Added 1 AP
State: 50 AP, 0 EP, 0 TP
logout, login
- Addtl. Menu option: GPG/PGP Keys
- (p10) 1, 35, 13, 1, 50, 0, (p15) link exists
        a b c d e f
   a - d = Your Assurance Points listing, split to 1 + 35 + 13 + 1 (asc order)
   e = Your Assurance Points summary
   f = Assurance Points You Issued summary
- (p15) GA: 0, 0
- RA: 1/0, 13/0, 35/0, 1/0 (desc order)
- (p15s): 50, 0, 0, 0, 50
## All ok as expected

by playing around with Email, Client Cert, Domain, Server Cert
"New Server Cert" results in form:
Sign by class 1 root cert
Sign by class 3 root cert checked
and text field, to paste CSR and a submit button
!! Shouldn't "New Server cert" prevented here as long there is no domain verified ?
adding new user: u1.test
add 49 AP
"New Server Cert" results in form:
text field, to paste CSR and a submit button
adding new domain, verified
"New Server Cert" results in form:
text field, to paste CSR and a submit button
seems to be the default options, that will be displayed here
add 1 more AP (-> 50 AP)
"New Server Cert" results in form:
Sign by class 1 root cert
Sign by class 3 root cert checked
and text field, to paste CSR and a submit button
## seems to be plausible, that server certs can be issued either way
## with LT 50 AP, there is no checkbox for Class1 or Class3, with GE 50 AP
## there is an optional Class1 or Class3 selection possible
## by deleting the domain, there is no difference to included domain
## maybe this will be checked after submitting the CSR
[continued with test plan]

using user: u1.tverify
Added 1 AP
State: 51 AP, 0 EP, 0 TP
logout, login
- Addtl. Menu option: GPG/PGP Keys (still exists)
- (p10) 1, 35, 13, 1, 1, 51, 0, (p15) link exists
        a b c d e f g
   a - e = Your Assurance Points listing, split to 1 + 35 + 13 + 1 + 1 (asc order)
   f = Your Assurance Points summary
   g = Assurance Points You Issued summary
- (p15) GA: 0, 0
- RA: 1/0, 1/0, 13/0, 35/0, 1/0 (desc order)
- (p15s): 51, 0, 0, 0, 51
## All ok as expected

using user: u1.tverify
Added 48 AP
State: 99 AP, 0 EP, 0 TP
logout, login
- Addtl. Menu option: GPG/PGP Keys (still exists)
- (p10) 1, 35, 13, 1, 1, 35, 13, 99, 0, (p15) link exists
        a b c d e f g h i
   a - g = Your Assurance Points listing, split to 1 + 35 + 13 + 1 + 1 + 35 + 13
          (asc order), 48 AP split to 35 + 13
   h = Your Assurance Points summary
   i = Assurance Points You Issued summary
- (p15) GA: 0, 0
- RA: 13/0, 35/0, 1/0, 1/0, 13/0, 35/0, 1/0 (desc order)
- (p15s): 99, 0, 0, 0, 99
## All ok as expected

using user: u1.tverify
Added 1 AP
State: 100 AP, 0 EP, 0 TP
logout, login
- Addtl. Menu option: GPG/PGP Keys (still exists)
- (p10) 1, 35, 13, 1, 1, 35, 13, 1, 100, 0, (p15) link exists
        a b c d e f g h i j
   a - h = Your Assurance Points listing, split to 1 + 35 + 13 + 1 + 1 + 35 + 13 + 1
          (asc order)
   i = Your Assurance Points summary
   j = Assurance Points You Issued summary
- (p15) GA: 0, 0
- RA: 1/0, 13/0, 35/0, 1/0, 1/0, 13/0, 35/0, 1/0 (desc order)
- (p15s): 100, 0, 0, 0, 100
- WoT menu option still lists: "Becoming an Assurer" instead of "Assure someone"
## All ok as expected

using user: u1.tverify
Add passed CATS
State: 100 AP, 0 EP, 0 TP
logout, login
- Addtl. Menu option: GPG/PGP Keys (still exists)
- Addtl. Menu option: WoT - "Assure someone"
- (p10) 1, 35, 13, 1, 1, 35, 13, 1, 100, 0, (p15) link exists
        a b c d e f g h i j
   a - h = Your Assurance Points listing, split to 1 + 35 + 13 + 1 + 1 + 35 + 13 + 1
          (asc order)
   i = Your Assurance Points summary
   j = Assurance Points You Issued summary
- (p15) GA: 0, 0
- RA: 1/0, 13/0, 35/0, 1/0, 1/0, 13/0, 35/0, 1/0 (desc order)
- (p15s): 100, 0, 0, 100
  addtl. pts and text disappeared
  "0 Points on hold due to less Assurance points"
## All ok as expected

!! one remark here:
   the switch CATS passed vs. CATS not passed results in
   removal of the text
   "0 Points on hold due to less Assurance points"
   implicates, that the 100 pts and CATS not passed
   means, user have to less Assurance points.
   This is false. In this case, CATS passed is missing.
   Expecting a text like:
   due to less Assurance Points and missing CATS passed
   A double check: less points and CATS passed
   if pts LT 100, then add text "due to less AP"
   if CATS != passed then add text "missing CATS passed"
   eg 99 pts, CATS not passed should result in:
      Points on hold due to less Assurance points and missing CATS test
      100 pts, CATS not passed should result in:
      Points on hold due to missing CATS test
      99 pts, CATS passed should result in:
      Points on hold due to less Assurance points
      100 pts, CATS passed should result in:
      <empty>

Uli60

2011-02-19 15:54

updater   ~0001872

Glossary: AI = Administrative Increase

using user: u1.tverify
logout, login
Assure someone (adding 2 EP)
State: 100 AP, 2 EP, 0 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- Addtl. Menu option: WoT - "Assure someone"
- (p10) 1, 35, 13, 1, 1, 35, 13, 1, 2, 102, 0, 0 (p15) link exists
        a b c d e f g h i j k l
   a - i = Your Assurance Points listing, split to 1 + 35 + 13 + 1 + 1 + 35 + 13 + 1 + 2
           includes 2 EP (AI)
          (asc order)
   j = Your Assurance Points summary
   k = Assurance Points you Issued list
   l = Assurance Points You Issued summary
- (p15) GA: 10/2, 10/2
- RA: 1/0, 13/0, 35/0, 1/0, 1/0, 13/0, 35/0, 1/0 (desc order)
- (p15s): 100, 2, 0, 102
  addtl. pts and text not avail
  (0 Points on hold due to less Assurance points)
## All ok as expected

using user: u1.tverify
logout, login
Administrative Increase + 50-2-2 = 46 EP
State: 100 AP, 48 EP, 0 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- Addtl. Menu option: WoT - "Assure someone"
- (p10) 1, 35, 13, 1, 1, 35, 13, 1, 2, 23x 2 148, 0, 0 (p15) link exists
        a b c d e f g h i j k l m
   a - i = Your Assurance Points listing, split to 1 + 35 + 13 + 1 + 1 + 35 + 13 + 1 + 2
           includes 2 EP (AI)
   j = + 23x a 2 EP
          (asc order)
   k = Your Assurance Points summary
   l = Assurance Points you Issued list / lists only one assurance given manualy !!
   m = Assurance Points You Issued summary
- (p15) GA: 10/2, 10/2 !! addtl. EP's added via TMS not listed here !!
- RA: 1/0, 13/0, 35/0, 1/0, 1/0, 13/0, 35/0, 1/0 (desc order)
- (p15s): 100, 2, 0, 102
  addtl. pts and text not avail
  (0 Points on hold due to less Assurance points)
!! TMS implementation of Administrative Increase needs review
   as Administrative Increases are added to Notary table, but
   the records gets not listed (related Assure Someone records missing)
   Tester has to go the "hard" way, to add 25 times
   Assurances thru "Assure someone" by using eg the builtin
   test accounts to assure -> john.doe-010@example.com
   adding the 2nd assurance, MAX points is given as Max 30 pts
   this is also wrong, if the assurance records will not be added
   thru TMS Administrative Increase function


using user: u1.tverify
logout, login
Assure someone (adding 2 EP)
State: 100 AP, 50 EP, 0 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- Addtl. Menu option: WoT - "Assure someone"
- (p10) 1, 35, 13, 1, 1, 35, 13, 1, 2, 24x 2 150, 2x 0, 0 (p15) link exists
        a b c d e f g h i j k l m
   a - i = Your Assurance Points listing, split to 1 + 35 + 13 + 1 + 1 + 35 + 13 + 1 + 2
           includes 2 EP (AI)
   j = + 24x a 2 EP
          (asc order)
   k = Your Assurance Points summary
   l = Assurance Points you Issued list / lists only two assurances given manualy !!
   m = Assurance Points You Issued summary
- (p15) GA: 10/2, 10/2, 20/4 !! addtl. EP's added via TMS not listed here !!
- RA: 1/0, 13/0, 35/0, 1/0, 1/0, 13/0, 35/0, 1/0 (desc order)
- (p15s): 100, 4, 0, 104
  addtl. pts and text not avail
  (0 Points on hold due to less Assurance points)
!! ## with the TMS function Administrative Increase bug, the listing on
      given Assurances (EP) is wrong
      counted by the manual added Assurances, the given Assurances listing
      is ok.

Uli60

2011-02-19 16:24

updater   ~0001873

Last edited: 2011-02-19 16:39

To the Testers:
Assure Someone (Administrative Increases)
have to be entered manualy (!!!!)
TMS system "Administrative Increase"
doesn't add related Assurance records to the
database, so the test results will fail
For doing Assure Someone use
the testsystem built-in accounts:
john.doe-0##@example.com
where ## = 01..99

Bug Info sent to Software Testteam by email

Uli60

2011-02-19 17:22

updater   ~0001874

Last edited: 2011-02-19 17:24

manual repair of the u1.tverify users record
login to admin user
System Admin - Find user - "u1.tverify"
Show Assurances the user got
revoke all 2 pts Administrative Increases thru "CAcert Test Manager"
(23 times)

[continue with planned test matrix]

using user: u1.tverify
logout, login
State: 100 AP, 4 EP, 0 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- Addtl. Menu option: WoT - "Assure someone"
- (p10) 1, 35, 13, 1, 1, 35, 13, 1, 2, 2 104, 2x 0, 0 (p15) link exists
        a b c d e f g h i j k l m
   a - h = Your Assurance Points listing, split to 1 + 35 + 13 + 1 + 1
                                                   + 35 + 13 + 1
   i - j = 2x a 2 EP = 4 EP listed as (AI)
          (asc order)
   k = Your Assurance Points summary
   l = Assurance Points you Issued list / lists two assurances given manualy
   m = Assurance Points You Issued summary
- (p15) GA: 10/2, 10/2, 20/4
- RA: 1/0, 13/0, 35/0, 1/0, 1/0, 13/0, 35/0, 1/0 (desc order)
- (p15s): 100, 4, 0, 104
  addtl. pts and text not avail
  (0 Points on hold due to less Assurance points)
## All ok as expected


using user: u1.tverify
logout, login
Assure someone (adding 2 EP)
State: 100 AP, 6 EP, 0 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- Addtl. Menu option: WoT - "Assure someone"
- (p10) 1, 35, 13, 1, 1, 35, 13, 1, 3x 2, 106, 3x 0, 0 (p15) link exists
        a b c d e f g h i j k l
   a - h = Your Assurance Points listing, split to 1 + 35 + 13 + 1 + 1
                                                   + 35 + 13 + 1
   i = 3x a 2 EP = 6 EP listed as (AI)

     a-i (mixed order !!!)
           ID order: 36,37,38,39,43,44,45,46,48,75,73
                                                     ^---^ switched around (75,73)
c
   k = Your Assurance Points summary
          (mixed order !!!)
           ID order: 47,74,72
                            ^---^ switched around (74,72)
   l = Assurance Points you Issued list / lists two assurances given manualy
   m = Assurance Points You Issued summary
- (p15) GA: 10/2, 10/2, 10/2, 30/6
           ID order descending: 74,72,47
- RA: 1/0, 13/0, 35/0, 1/0, 1/0, 13/0, 35/0, 1/0 (desc order)
           ID order descending: 46,45,44,43,39,38,37,36
- (p15s): 100, 6, 0, 106
  addtl. pts and text not avail
  (0 Points on hold due to less Assurance points)
## All ok as expected
## mixed order: see bug https://bugs.cacert.org/view.php?id=837
## https://bugs.cacert.org/view.php?id=837 patch has not been applied
## onto 10.php

Uli60

2011-02-19 20:33

updater   ~0001875

[continued test matrix plan]

using user: u1.tverify
logout, login
Assure someone 13x (adding 2 EP)
State: 100 AP, 32 EP, 0 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- Addtl. Menu option: WoT - "Assure someone"
- (p10) 1, 35, 13, 1, 1, 35, 13, 1, 16x 2, 132, 16x 0, 0 (p15) link exists
        a b c d e f g h i j k l
   a - h = Your Assurance Points listing, split to 1 + 35 + 13 + 1 + 1
                                                   + 35 + 13 + 1
   i = 16x a 2 EP = 32 EP listed as (AI)
     a-i (mixed order !!!)
   j = Your Assurance Points summary
          (mixed order !!!)
   k = Assurance Points you Issued list / lists 16 assurances given manualy
   l = Assurance Points You Issued summary
- (p15) GA: 25/2, 5x 20/2, 5x 15/2, 5x 10/2, 250/32
           ID order descending
- RA: 1/0, 13/0, 35/0, 1/0, 1/0, 13/0, 35/0, 1/0 (desc order)
           ID order descending
- (p15s): 100, 32, 0, 132
  addtl. pts and text not avail
  (0 Points on hold due to less Assurance points)
## All ok as expected


using user: u1.tverify
logout, login
Assure someone 8x (adding 2 EP)
State: 100 AP, 48 EP, 0 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- Addtl. Menu option: WoT - "Assure someone"
- (p10) 1, 35, 13, 1, 1, 35, 13, 1, 24x 2, 148, 24x 0, 0 (p15) link exists
        a b c d e f g h i j k l
   a - h = Your Assurance Points listing, split to 1 + 35 + 13 + 1 + 1
                                                   + 35 + 13 + 1
   i = 24x a 2 EP = 48 EP listed as (AI)
     a-i (mixed order !!!)
   j = Your Assurance Points summary
          (mixed order !!!)
   k = Assurance Points you Issued list / lists 24 assurances given manualy
   l = Assurance Points You Issued summary
- (p15) GA: 4x 30/2, 5x 25/2, 5x 20/2, 5x 15/2, 5x 10/2, 470/48
           ID order descending
- RA: 1/0, 13/0, 35/0, 1/0, 1/0, 13/0, 35/0, 1/0 (desc order)
           ID order descending
- (p15s): 100, 48, 0, 148
  addtl. pts and text not avail
  (0 Points on hold due to less Assurance points)
## All ok as expected


using user: u1.tverify
logout, login
Assure someone 1x (adding 2 EP)
State: 100 AP, 50 EP, 0 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- Addtl. Menu option: WoT - "Assure someone"
- (p10) 1, 35, 13, 1, 1, 35, 13, 1, 25x 2, 150, 25x 0, 0 (p15) link exists
        a b c d e f g h i j k l
   a - h = Your Assurance Points listing, split to 1 + 35 + 13 + 1 + 1
                                                   + 35 + 13 + 1
   i = 25x a 2 EP = 50 EP listed as (AI)
     a-i (mixed order !!!)
   j = Your Assurance Points summary
          (mixed order !!!)
   k = Assurance Points you Issued list / lists 25 assurances given manualy
   l = Assurance Points You Issued summary
- (p15) GA: 5x 30/2, 5x 25/2, 5x 20/2, 5x 15/2, 5x 10/2, 500/50
           ID order descending
- RA: 1/0, 13/0, 35/0, 1/0, 1/0, 13/0, 35/0, 1/0 (desc order)
           ID order descending
- (p15s): 100, 50, 0, 150
  addtl. pts and text not avail
  (0 Points on hold due to less Assurance points)
## All ok as expected


using user: u1.tverify
logout, login
Assure someone 1x (adding 2 EP) (Max 35 pts)
State: 100 AP, 50 EP, 0 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- Addtl. Menu option: WoT - "Assure someone"
- (p10) 1, 35, 13, 1, 1, 35, 13, 1, 25x 2, 150, 26x 0, 0 (p15) link exists
        a b c d e f g h i j k l
   a - h = Your Assurance Points listing, split to 1 + 35 + 13 + 1 + 1
                                                   + 35 + 13 + 1
   i = 25x a 2 EP = 50 EP listed as (AI)
     a-i (mixed order !!!)
   j = Your Assurance Points summary
          (mixed order !!!)
   k = Assurance Points you Issued list / lists 26 assurances given manualy
   l = Assurance Points You Issued summary
- (p15) GA: 1x 35/2, 5x 30/2, 5x 25/2, 5x 20/2, 5x 15/2, 5x 10/2, 535/50
           ID order descending

           26x 2 => 52, but value is 50 ... (50 max) or so to add after the value ?

- RA: 1/0, 13/0, 35/0, 1/0, 1/0, 13/0, 35/0, 1/0 (desc order)
           ID order descending
- (p15s): 100, 50, 0, 150
  addtl. pts and text not avail
  (0 Points on hold due to less Assurance points)
## All ok as expected
## see remark, (p15) table "Assurance Points You Issued"
!! replace text: "Total Experience Points:"
!! with "Total Experience Points (Max 50):"

Uli60

2011-02-20 14:04

updater   ~0001876

Last edited: 2011-02-20 14:25

create new user: u2.tverify
State: 0 AP, 0 EP, 0 TP
- (p10) 0, 0, (p15) link exists
        a b
    "Please check the new calculation"
     -> "new calculation" is the link
   a = Your Assurance Points summary
   b = Assurance Points You Issued summary
- (p15) GA: 0, 0
- RA: ./.
- (p15s): 0,0,0,0,0
## All ok as expected


login to Admin user
Assure someone
selecting Method: Thawte Points Transfer
Max 150 pts: -> 50 pts


using user: u2.tverify
logout, login
State: 0 AP, 0 EP, 50 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- (p10) 50, 50, 0 (p15) link exists
        a b c
   a = Your Assurance Points listing (1x Thawte)
   b = Your Assurance Points summary
   c = Assurance Points You Issued summary
addtl. line in red
Your Thawte-Points will be revoked in the near future. Please check new calculation!
   c = Assurance Points You Issued summary
- (p15) GA: 0/0
- RA: Revoked/0
- (p15s): 0, 0, 0, 0, 0
          a b c d e
  a = Total Assurance Points
  b = Total Experience Points by Assurance
  c = 0 Points on hold due to less Assurance points
  d = Total Experience Points (other ways)
  e = Total Points
## All ok as expected


using user: u2.tverify
adding assurances: 10 (AS1), 15 (AS2), 10 (AS3)
logout, login
State: 35 AP, 0 EP, 50 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- (p10) 50, 10, 15, 10, 85, 0 (p15) link exists
        a b c d e f
   a = Your Assurance Points listing (1x Thawte)
   b-d = regular assurance points listing +10, +15, +10
   e = Your Assurance Points summary
   f = Assurance Points You Issued summary
- (p15) GA: 0/0
- RA: 10/0, 15/0, 10/0, Revoked/0 (descending)
- (p15s): 35, 0, 0, 0, 35
          a b c d e
  a = Total Assurance Points
  b = Total Experience Points by Assurance
  c = 0 Points on hold due to less Assurance points
  d = Total Experience Points (other ways)
  e = Total Points
!! NO addtl. line in red (!!!) on (p10)
!! missing: Your Thawte-Points will be revoked in the near future. Please check new calculation!
!! if (Thawte Points) and ((Total points - Thawte pts) < 100) => Signal
!! eg: 50-50=0 -> Flag, 85-50=35 -> Flag
!! counts are ok, signaling is not


using user: u2.tverify
adding assurance: 14 (AS4)
logout, login
State: 49 AP, 0 EP, 50 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- (p10) 50, 10, 15, 10, 14, 99, 0 (p15) link exists
        a b c d e f g
   a = Your Assurance Points listing (1x Thawte)
   b-e = regular assurance points listing +10, +15, +10, +14
   f = Your Assurance Points summary
   g = Assurance Points You Issued summary
- (p15) GA: 0/0
- RA: 14/0, 10/0, 15/0, 10/0, Revoked/0 (descending)
- (p15s): 49, 0, 0, 0, 49
          a b c d e
  a = Total Assurance Points
  b = Total Experience Points by Assurance
  c = 0 Points on hold due to less Assurance points
  d = Total Experience Points (other ways)
  e = Total Points
!! NO addtl. line in red (!!!) on (p10)
!! missing: Your Thawte-Points will be revoked in the near future. Please check new calculation!
!! if (Thawte Points) and ((Total points - Thawte pts) < 100) => Signal
!! eg: 99-50=49 -> Flag
!! counts are ok, signaling is not


using user: u2.tverify
adding assurance: 1 (AS5)
logout, login
State: 50 AP, 0 EP, 50 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- (p10) 50, 10, 15, 10, 14, 1, 100, 0 (p15) link exists
        a b c d e f g h
   a = Your Assurance Points listing (1x Thawte)
   b-f = regular assurance points listing +10, +15, +10, +14
   g = Your Assurance Points summary
   h = Assurance Points You Issued summary
- (p15) GA: 0/0
- RA: 1/0, 14/0, 10/0, 15/0, 10/0, Revoked/0 (descending)
- (p15s): 50, 0, 0, 0, 50
          a b c d e
  a = Total Assurance Points
  b = Total Experience Points by Assurance
  c = 0 Points on hold due to less Assurance points
  d = Total Experience Points (other ways)
  e = Total Points
!! NO addtl. line in red (!!!) on (p10)
!! missing: Your Thawte-Points will be revoked in the near future. Please check new calculation!
!! if (Thawte Points) and ((Total points - Thawte pts) < 100) => Signal
!! eg: 100-50=50 -> Flag
!! counts are ok, signaling is not

Uli60

2011-02-20 14:38

updater   ~0001877

create new user: u3.tverify
State: 0 AP, 0 EP, 0 TP
- (p10) 0, 0, (p15) link exists
        a b
    "Please check the new calculation"
     -> "new calculation" is the link
   a = Your Assurance Points summary
   b = Assurance Points You Issued summary
- (p15) GA: 0, 0
- RA: ./.
- (p15s): 0,0,0,0,0
## All ok as expected


login to Admin user
Assure someone
selecting Method: Thawte Points Transfer
Max 150 pts: -> 90 pts


using user: u3.tverify
logout, login
State: 0 AP, 0 EP, 90 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- (p10) 90, 90, 0 (p15) link exists
        a b c
   a = Your Assurance Points listing (1x Thawte)
   b = Your Assurance Points summary
   c = Assurance Points You Issued summary
addtl. line in red
Your Thawte-Points will be revoked in the near future. Please check new calculation!
   c = Assurance Points You Issued summary
- (p15) GA: 0/0
- RA: Revoked/0
- (p15s): 0, 0, 0, 0, 0
          a b c d e
  a = Total Assurance Points
  b = Total Experience Points by Assurance
  c = 0 Points on hold due to less Assurance points
  d = Total Experience Points (other ways)
  e = Total Points
## All ok as expected


using user: u3.tverify
adding assurance: 9 (AS1)
logout, login
State: 9 AP, 0 EP, 90 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- (p10) 90, 9, 99, 0 (p15) link exists
        a b c d
   a = Your Assurance Points listing (1x Thawte)
   b = regular assurance points listing +9
   c = Your Assurance Points summary
   d = Assurance Points You Issued summary
- (p15) GA: 0/0
- RA: 9/0, Revoked/0 (descending)
- (p15s): 9, 0, 0, 0, 9
          a b c d e
  a = Total Assurance Points
  b = Total Experience Points by Assurance
  c = 0 Points on hold due to less Assurance points
  d = Total Experience Points (other ways)
  e = Total Points
!! NO addtl. line in red (!!!) on (p10)
!! missing: Your Thawte-Points will be revoked in the near future. Please check new calculation!
!! if (Thawte Points) and ((Total points - Thawte pts) < 100) => Signal
!! eg: 90-90=0 -> Flag, 99-90=9 -> Flag
!! counts are ok, signaling is not

same problem as https://bugs.cacert.org/view.php?id=827#c1876
Warning will be only displayed in 10.php if THAWTE points is the only points entry, ignoring the missing points to fully assured account

Uli60

2011-02-20 15:03

updater   ~0001878

create new user: u4.tverify
State: 0 AP, 0 EP, 0 TP
- (p10) 0, 0, (p15) link exists
        a b
    "Please check the new calculation"
     -> "new calculation" is the link
   a = Your Assurance Points summary
   b = Assurance Points You Issued summary
- (p15) GA: 0, 0
- RA: ./.
- (p15s): 0,0,0,0,0
## All ok as expected


login to Admin user
Assure someone: u4.tverify
selecting Method: Thawte Points Transfer
Max 150 pts: -> 150 pts


using user: u4.tverify
logout, login
State: 0 AP, 0 EP, 150 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- (p10) 150, 150, 0 (p15) link exists
        a b c
   a = Your Assurance Points listing (1x Thawte)
   b = Your Assurance Points summary
   c = Assurance Points You Issued summary
addtl. line in red
Your Thawte-Points will be revoked in the near future. Please check new calculation!
   c = Assurance Points You Issued summary
- (p15) GA: 0/0
- RA: Revoked/0
- (p15s): 0, 0, 0, 0, 0
          a b c d e
  a = Total Assurance Points
  b = Total Experience Points by Assurance
  c = 0 Points on hold due to less Assurance points
  d = Total Experience Points (other ways)
  e = Total Points
## All ok as expected


using user: u4.tverify
adding assurances: 10 (AS1) TMS -> # Number of points 0 0 (??)
                   15 (AS2) TMS -> # Number of points 0 0 (??)
                   10 (AS3) TMS -> # Number of points 0 0 (??)
logout, login
State: 35 AP, 0 EP, 150 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- (p10) 150, 0, 0, 0, 150, 0 (p15) link exists
        a b c d e f
   a = Your Assurance Points listing (1x Thawte)
   b-d = regular assurance points listing +10, +15, +10 -> 0,0,0
   e = Your Assurance Points summary
   f = Assurance Points You Issued summary
- (p15) GA: 0/0
- RA: 10/0, 15/0, 10/0, Revoked/0 (descending)
- (p15s): 35, 0, 0, 0, 35
          a b c d e
  a = Total Assurance Points
  b = Total Experience Points by Assurance
  c = 0 Points on hold due to less Assurance points
  d = Total Experience Points (other ways)
  e = Total Points
!! NO addtl. line in red (!!!) on (p10)
!! missing: Your Thawte-Points will be revoked in the near future. Please check new calculation!
!! if (Thawte Points) and ((Total points - Thawte pts) < 100) => Signal
!! eg: 150-150=0 -> Flag, 185-150=35 -> Flag
!! Total points here is all countable points w/o limit -> 185
!! counts are ok, signaling is not

same problem as https://bugs.cacert.org/view.php?id=827#c1876
Warning will be only displayed in 10.php if THAWTE points is the only points entry, ignoring the missing points to fully assured account

Uli60

2011-02-27 00:04

updater   ~0001879

Neo 2011-02-22
added patch version onto testserver (10.php)
patch: 1ec50c91b397e4af5a3cf27457ca0a917293b559

Uli60

2011-02-27 00:17

updater   ~0001880

recheck last states of users

using user: u2.tverify
doing nothing
login
State: 50 AP, 0 EP, 50 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- (p10) 50, 10, 15, 10, 14, 1, 100, 0 (p15) link exists
        a b c d e f g h
   a = Your Assurance Points listing (1x Thawte)
   b-f = regular assurance points listing +10, +15, +10, +14 +1
   g = Your Assurance Points summary

red line
"Your Thawte-Points will be revoked in the near future. Please check new calculation!"

   h = Assurance Points You Issued summary
- (p15) GA: 0/0
- RA: 1/0, 14/0, 10/0, 15/0, 10/0, Revoked/0 (descending)
- (p15s): 50, 0, 0, 0, 50
          a b c d e
  a = Total Assurance Points
  b = Total Experience Points by Assurance
  c = 0 Points on hold due to less Assurance points
  d = Total Experience Points (other ways)
  e = Total Points
## all OK as expected (CATS passed/not passed not yet shown)

using user: u3.tverify
doing nothing
login
State: 9 AP, 0 EP, 90 TP
- Addtl. Menu option: GPG/PGP Keys (still exists)
- (p10) 90, 9, 99, 0 (p15) link exists
        a b c d
   a = Your Assurance Points listing (1x Thawte)
   b = regular assurance points listing +9
   c = Your Assurance Points summary

red line
"Your Thawte-Points will be revoked in the near future. Please check new calculation!"

   d = Assurance Points You Issued summary
- (p15) GA: 0/0
- RA: 9/0, Revoked/0 (descending)
- (p15s): 9, 0, 0, 0, 9
          a b c d e
  a = Total Assurance Points
  b = Total Experience Points by Assurance
  c = 0 Points on hold due to less Assurance points
  d = Total Experience Points (other ways)
  e = Total Points
## all OK as expected (CATS passed/not passed not yet shown)

from first check, 10.php patch seems to work

Uli60

2011-03-22 23:45

updater   ~0001894

special case test
user has 60 + 30 + 30 (= total 120 pts) in production system.
MT added pts onto special user account identical to production system.

test with user:
10.php 60 F2F + 30 F2F + 30 F2F, total 120
15.php 30 F2F + 30 F2F + 40 F2F, total 100 (as expected)
Ok.

Uli60

2011-04-16 08:18

updater   ~0001928

15.php (Update 2011-02-16)
has some problems in displaying last section "Your Assurance Points" summary
variables undefined, line 223, 225
l.223 if (points <100) instead of if ($points <100)
l.225 .. $sumexperienceOutHold); unset

suggested fix: line 62 ff. - pre-define all used vars
  $points = 0;
  $experience = 0;
  $sumexperience = 0;
  $sumexperienceA = 0;
  $sumexperienceAHold = 0;
  $sumexperienceOut = 0;
  $sumexperienceOutHold = 0;
  $maxpoints = 0;
  $awarded = 0;
  $awardedcount = 0;
  $maxpoints = 0;

2011-04-16 08:23

 

15.php (9,032 bytes)

NEOatNHNG

2011-06-15 01:19

administrator   ~0002044

Commits from Dirk applied to the test server

Uli60

2011-06-21 22:07

updater   ~0002055

15.php
"You have to pass the CAcert Assurer Challenge (CATS-Test) to be an Assurer"
but CATS is set
-> fail

Uli60

2011-06-21 22:52

updater   ~0002057

22.6. 0:40 new commit by dirk
22.6. 0:45 added to testserver by NEO

Uli60

2011-06-21 22:57

updater   ~0002058

> Assurance Points you received 80 100
                                       ok not ok (got 20 addtl. pts)

> Total Experience Points by Assurance 42 0
                                       ok ok

> Total Experience Points (other ways) 0 0
                                       ok ok

> Total Points 100 You may issue up to 10 points
                not ok, see above not ok, but this relates to the 100 pts
                                         prop

Uli60

2011-06-21 23:03

updater   ~0002060

22.6. 0:55 new commit by dirk
22.6. 1:02 added to testserver by NEO

Uli60

2011-06-21 23:05

updater   ~0002061

Assurance Points you received 80 80
Total Experience Points by Assurance 42 0
Total Experience Points (other ways) 0 0
Total Points 80

all ok now

INOPIAE

2011-06-21 23:09

updater   ~0002062

Last edited: 2011-06-21 23:10

View 2 revisions

Case 1 Assurer Flag not set
Assurance Points you received 110 100 Limit reached
Total Experience Points by Assurance 0 0
Total Experience Points (other ways) 0 0
Total Points -- 100 You have to pass the CAcert Assurer Challenge (CATS-Test) to be an Assurer

OK

Case 2 Assurer Flag set
Assurance Points you received 214 100 Limit reached
Total Experience Points by Assurance 10 10
Total Experience Points (other ways) 0 0
Total Points -- 110 You may issue up to 15 points

OK

moh

2011-06-28 22:13

updater  

Ausgangsbild in der 10.php.png (250,693 bytes)   
Ausgangsbild in der 10.php.png (250,693 bytes)   

moh

2011-06-28 22:14

updater  

Ergebnis in der 15.php.png (181,831 bytes)   
Ergebnis in der 15.php.png (181,831 bytes)   

moh

2011-06-28 22:16

updater   ~0002066

Testreport:
step 1: User A assure someone, enter 2147.... limited to 35 --> OK!
step 2: User A check points, 10.php --> ok (Siehe Screenshot)
step 3: User A, check points 15.php -> fehler (Siehe Screenshot)

INOPIAE

2011-07-12 17:32

updater   ~0002112

Last edited: 2011-07-12 18:45

View 4 revisions

Testreport
Together with FabianKnopf we tested the over points problem:
Fabian assurered a test account with 1000 Points. The assurer is only allowed to grant up to 10 points.
The mailing to the assurer rounded the 1000 Points down to 0 points as account has 100 AP already. -> as designed.
The mailing to the assuree rounded the 1000 Points down to 0 points as account has 100 AP already. -> as designed.
10.php shows 0 points added. -> as designed
15.php shows
Table before assurance
Assurance Points you received 140 100 Limit reached
Total Experience Points by Assurance 0 0
Total Experience Points (other ways) 0 0 0
Total Points 100 You may issue up to 10 points

Table after over point assurance
Assurance Points you received 240 100 Limit reached
Total Experience Points by Assurance 0 0
Total Experience Points (other ways) 900 50 Limit reached
Total Points 150 You may issue up to 35 points

In the list of your Assurance points the new entry shows
Points 100 Experience points 900

This is not as designed.

Uli60

2011-08-02 22:12

updater   ~0002259

Last edited: 2011-08-03 10:39

View 3 revisions

the problems reported under
https://bugs.cacert.org/view.php?id=827#c2066
https://bugs.cacert.org/view.php?id=827#c2112
leads to the new bug 0000959
the fix has been tested several times under bug 0000959
This fix also includes points < 0 fix
bug 0000959 was deployed and closed at Aug 1st
https://bugs.cacert.org/view.php?id=959#c2236
so continued testing also for bug 0000827 you'll find under bug 0000959

patch 0000959 added to testserver July 20th
https://bugs.cacert.org/view.php?id=959#c2159

addtl. tests made starting July 20th under other bug numbers, also for bug 0000827
https://bugs.cacert.org/view.php?id=942#c2164 and following


review & deploy bug 0000827

instructions to critical team:
deploy 15.php first, 10.php 7 days later

Ted

2011-08-08 06:30

administrator   ~0002285

Reviewed and made some minor changes.

Patch request sent to critical admins.

wytze

2011-08-15 16:14

developer   ~0002295

First part of fix has been installed on production system on August 15, 2011.
See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2011-08/msg00009.html

Ted

2011-08-16 22:08

administrator   ~0002298

Last edited: 2011-08-16 22:09

View 2 revisions

Hans noticed problems in the installation log that require another fix:

    function output_summary_content($userid,$display_output)
    .......
        if ($sum_points> $max_points)
            {
            $sum_points_countable = $max_points;
            $remark_points = _("Limit reached");
            }
        else
            {
            $sum_points_countable = $sum_points;
            $remark_points = "&nbsp"; <======= " ";
            }

-----------------------------------

function output_summary_content($userid,$display_output)
.......
if ($sum_points_countable < $max_points)
            {
            if ($sum_experience_countable != 0)
                $remark_experience = $points_on_hold_txt;_("Points on hold due to less assurance points");
I don't get the meaning of the last sentence (a dangling string at the end of the line).
I expect that this was intended:

                 $remark_experience = $points_on_hold_txt = _("Points on hold due to less assurance points");

But, as $points_on_hold_txt is never used, the following will do:

                $remark_experience = _("Points on hold due to less assurance points");


These changes are checked in and pushed to git branch bug-821, according to Dirk some other text chnges might be necessary.

Uli60

2011-08-17 19:33

updater   ~0002303

new patch added by dirk, that takes care about
https://bugs.cacert.org/view.php?id=827#c2298
issues and also fixes
statistics routine counting / ranking assurer/assuree state
added to testserver by dirk/neo

Uli60

2011-08-17 19:35

updater   ~0002304

fixed text bugs
fixed statistics
transfered to cacert-devel / testserver within SA meeting 16.8.

Uli60

2011-08-17 19:59

updater   ~0002305

account #1 on testserver
10.php 137 assurances which ranks you as the 0000004 top assurer
15.php
You have made 127 assurances which ranks you as the #1 top assurer.
You have received 12 assurances which ranks you as the #1 top assuree

difference is about count of Administrative Increases, that do not count in 15.php
10 administrative increases set, removed from count in 15.php, only f2f meeting counts.

Summary:
Assurance Points you received 639 100 Limit reached
Total Experience Points by Assurance 254 50 Limit reached
Total Experience Points (other ways) 173 0 Limit reached
Total Points 150 You may issue up to 35 points

=> all ok

account 0000002 (with thawte points set)
10.php 10 assurances which ranks you as the 0000035 top assurer
        red line in 10.php
        Your Thawte-Points will be revoked in the near future.
        Please check new calculation!
15.php
You have made 10 assurances which ranks you as the 0000012 top assurer.
You have received 3 assurances which ranks you as the 0000056 top assuree.

ranking seems reasonable
summary:
Assurance Points you received 100 100
Total Experience Points by Assurance 20 20
Total Experience Points (other ways) 0 0
Total Points 120 You may issue up to 20 points
=> all ok

account 0000003
10.php You have made 13 assurances which ranks you as the 0000034 top assurer.
       red line
       Your Thawte-Points will be revoked in the near future.
       Please check new calculation!

15.php
You have made 13 assurances which ranks you as the 0000009 top assurer.
You have received 1 assurances which ranks you as the 0000118 top assuree

Assurance Points you received 35 35
Total Experience Points by Assurance 26 0 Points on hold due to less assurance points
Total Experience Points (other ways) 0 0
Total Points 35
=> all ok

account 0000004
10.php You have made 2 assurances which ranks you as the 0000052 top assurer
15.php
You have made 2 assurances which ranks you as the 0000019 top assurer.
You have received 3 assurances which ranks you as the 0000056 top assuree.

Summary
Assurance Points you received 100 100
Total Experience Points by Assurance 4 4
Total Experience Points (other ways) 0 0
Total Points 104 You may issue up to 10 points
=> all ok

account 0000006
10.php You have made 0 assurances which ranks you as the 0000166 top assurer.
15.php
You have made 0 assurances which ranks you as the #49 top assurer.
You have received 6 assurances which ranks you as the 0000012 top assuree.

Assurance Points you received 101 100 Limit reached
Total Experience Points by Assurance 0 0
Total Experience Points (other ways) 0 0
Total Points 100 You may issue up to 10 points
=> ?!?
  0 assurances given but => You may issue up to 10 points ?!?

NEOatNHNG

2011-08-23 23:04

administrator   ~0002342

I reviewed the changes Dirk made, had some comments about it which Dirk changed. I then rereviewed and found the patch good to go. Needs some testing.

Uli60

2011-08-24 01:55

updater   ~0002343

Last edited: 2011-08-24 02:33

View 7 revisions

re-test of https://bugs.cacert.org/view.php?id=827#c2305 test scenario

account #1 (u@c)
10.php 137 assurances which ranks you as the no 4 top assurer
15.php
You have made 127 assurances which ranks you as the #1 top assurer. => ok
You have received 13 assurances which ranks you as the #1 top assuree. => ok
Assurance Points you received 649 100 Limit reached => ok
Total Experience Points by Assurance 254 50 Limit reached => ok
Total Experience Points (other ways) 173 0 Limit reached => ok
Total Points 150 You may issue up to 35 points => ok

Assurance Points You Issued
all F2F => 2 Exp. pts => ok
all != F2F -> empty, Thawte Points Transfer -> list no exp. pts => ok

Your Assurance Points
Thawte Points Transfer + CT Magazine - Germany -> displays as "Revoked" => ok
all others displays assurance pts => ok

counts in top summary are identical to their related values in the tables below => ok.

account no 2 (with thawte points set) (g@w)
10.php 10 assurances which ranks you as the no 36 top assurer
        red line in 10.php
        Your Thawte-Points will be revoked in the near future.
        Please check new calculation!
15.php
You have made 10 assurances which ranks you as the no 14 top assurer.
You have received 3 assurances which ranks you as the no 73 top assuree.
(differs from 15.php revision one week ago: 12->14, 56->73)

Assurance Points you received 100 100 => ok
Total Experience Points by Assurance 20 20 => ok
Total Experience Points (other ways) 0 0 => ok
Total Points 120 You may issue up to 20 points => ok

Your Assurance Points
Revoked Tverify Thawte Points Transfer => ok
+ 2x 35 + 1x 30 pts => 100 pts => ok

account no 3 (b@w)
relates to test account under https://bugs.cacert.org/view.php?id=827#c1828
10.php You have made 13 assurances which ranks you as the no 35 top assurer.
       red line
       Your Thawte-Points will be revoked in the near future.
       Please check new calculation!

15.php
You have made 13 assurances which ranks you as the no 11 top assurer.
You have received 1 assurances which ranks you as the no 140 top assuree

Assurance Points you received 35 35 => ok
Total Experience Points by Assurance 26 0 Points on hold due to less assurance points => ok
Total Experience Points (other ways) 0 0 => ok
Total Points 35 => ok
=> all ok

Assurance Points You Issued
all F2F, all counts => ok

Your Assurance Points
35 F2F => ok
Revoked Thawte => ok
Total 35 => ok

user has 185 total pts, after thawte removal only 35 (is no longer assurer) => thats ok, so 26 pts on hold (is ok too)


account no 4 (orgadmin@w)
10.php You have made 2 assurances which ranks you as the no 53 top assurer
15.php
You have made 2 assurances which ranks you as the no 21 top assurer.
You have received 3 assurances which ranks you as the no 73 top assuree.
(differs from prior revision 19->21, 56->73)

Summary
Assurance Points you received 100 100 => ok
Total Experience Points by Assurance 4 4 => ok
Total Experience Points (other ways) 0 0 => ok
Total Points 104 You may issue up to 10 points => ok
=> all ok

account no 5 (was no 6), (bug957.orgadmin@w)
10.php You have made 0 assurances which ranks you as the no 167 top assurer.
(differs 166->167)
only rcvd F2F, 100 pts, all ok

15.php
You have made 0 assurances which ranks you as the no 52 top assurer.
You have received 6 assurances which ranks you as the no 73 top assuree.
(differs 49->52 , 12->73) => ok
Assurance Points you received 105 100 Limit reached => ok (changed 101 to 105)
Total Experience Points by Assurance 0 0 => ok
Total Experience Points (other ways) 0 0 => ok
Total Points 100 You may issue up to 10 points => ?!?
  0 assurances given but => You may issue up to 10 points ?!?

ok, full listing =>
Assurer Ranking
You have made 0 assurances which ranks you as the 0000052 top assurer.
You have received 3 assurances which ranks you as the 0000073 top assuree.

Summary of your Points
Description Points Countable Points Remark
Assurance Points you received 105 100 Limit reached
Total Experience Points by Assurance 0 0
Total Experience Points (other ways) 0 0
Total Points 100 You may issue up to 10 points

Assurance Points You Issued
ID Date Who Points Location Method Experience Points
Total Points Issued: 0 Total Experience Points:

Your Assurance Points
ID Date Who Points Location Method Experience Points
256544 03.08.2011 Ulrich Schroeter 35 virt wohnzimmer Face to Face Meeting 0
256545 03.08.2011 Gerhard von Reith 35 virtual wohnzimmer Face to Face Meeting 0
256546 03.08.2011 Wolfgang Schroeter 35 virt wohnzimmer Face to Face Meeting 0
Total Assurance Points: 105 Total Experience Points: 0

ok, user rcvd 100 pts, and passed CATS, so now he can issue upto 10 Assurance pts max once starting with assurances
=> ok

INOPIAE

2011-08-30 22:24

updater   ~0002369

login in with admin account

10.php You have made 26 assurances which ranks you as the 0000022 top assurer.

15.php You have made 11 assurances which ranks you as the 0000013 top assurer.
You have received 12 assurances which ranks you as the 0000002 top assuree
Assurance Points you received 324 100 Limit reached
Total Experience Points by Assurance 22 22
Total Experience Points (other ways) 100 28 Limit reached
Total Points 150 You may issue up to 35 points


account 2
50 Thawte point + 70 points no CATS
10.php
Your Thawte-Points will be revoked in the near future. Please check new calculation!
50 35 15 =100
15.php
You have made 0 assurances which ranks you as the 0000052 top assurer.
You have received 2 assurances which ranks you as the 0000126 top assuree.

Assurance Points you received 70 70
Total Experience Points by Assurance 0 0
Total Experience Points (other ways) 0 0
Total Points 70 You need 100 assurance points and the passed CATS-Test to be an Assurer

Add CATS Test
10.php unchanged
15.php
You have made 0 assurances which ranks you as the 0000052 top assurer.
You have received 2 assurances which ranks you as the 0000126 top assuree.

Assurance Points you received 70 70
Total Experience Points by Assurance 0 0
Total Experience Points (other ways) 0 0
Total Points 70

Assurance possible add 1 assurance
15.php
You have made 1 assurances which ranks you as the 0000035 top assurer.
You have received 2 assurances which ranks you as the 0000126 top assuree.

Assurance Points you received 70 70
Total Experience Points by Assurance 2 2
Total Experience Points (other ways) 0 0
Total Points 72

revoke Thawte 50 points

10.php

15.php
You have made 1 assurances which ranks you as the 0000035 top assurer.
You have received 2 assurances which ranks you as the 0000126 top assuree.

Assurance Points you received 70 70
Total Experience Points by Assurance 2 0 Points on hold due to less assurance points
Total Experience Points (other ways) 0 0
Total Points 70
no assurances possible

add 35 normal points
10.php
You have made 1 assurances which ranks you as the 0000067 top assurer.
35+35+15+2=87
15.php
You have made 1 assurances which ranks you as the 0000035 top assurer.
You have received 3 assurances which ranks you as the 0000073 top assuree.

Assurance Points you received 105 100 Limit reached
Total Experience Points by Assurance 2 2
Total Experience Points (other ways) 0 0
Total Points 102 You may issue up to 10 points

no assurance possible

NEOatNHNG

2011-09-06 16:02

administrator   ~0002410

Mail sent to critical admins

wytze

2011-09-07 10:43

developer   ~0002421

Patch applied to production system on September 7, 2011. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2011-09/msg00006.html

Uli60

2011-09-13 23:37

updater   ~0002428

unknown + Trusted 3rd Parties
needs to be fixed to
Unknown + Trusted Third Parties

problem persists:

/includes/wot.inc.php still has the probalem after 2011-09-13 update !!!

- case 'unknown': // to be revoked
in the future? limit to max 50 pts?
- case 'Trusted 3rd Parties': // to be
revoked in the future? limit to max 35 pts?

+ case 'Unknown': // to be revoked
in the future? limit to max 50 pts?
+ case 'Trusted Third Parties': // to be
revoked in the future? limit to max 35 pts?


Problem is still fixed for the admin console (43.php) but not for the 15.php
in /includes/notary.inc.php the problem is fixed, and SE sees the correct values, not so the user himself (!!), die notary.inc.php
is linked to 43.php, wot.inc.php is linked to 15.php

Uli60

2011-09-14 23:14

updater   ~0002439

next git pull updated also wot.inc.php
fixed master 7bde59f4 updated by master cea4bdfe ?!?

Unknown / Trusted Third Parties fix cannot be tested without prior fix
of bug#855 on the testserver :-P

egal

2011-09-15 06:19

administrator   ~0002441

i updated the wot.inc.php before the last update on notary.inc.php and/or 43.php ...

... but nobody listened to me despite telling a number of times, that a new fix for 827 is available ... ;-(

but ... it has nothing to do with a fix to wot.php. it makes absolutely NO sense to fix the called routine (in this case wot.php) when the calling routing (in 6.php) is faulty ...

however: at the current state, the TTP-routines have to be recoded according to the TTP-policy, which does NOT require the requested change in wot.php ...

therefore: do NOT mix up 827 with 855 ...

Uli60

2011-09-28 00:54

updater  

bug827-110927b.diff (1,620 bytes)   
diff --git a/includes/wot.inc.php b/includes/wot.inc.php
index 3cbafcb..8916f65 100644
--- a/includes/wot.inc.php
+++ b/includes/wot.inc.php
@@ -231,6 +231,7 @@
 	function output_assurances_row($assuranceid,$date,$name,$awarded,$points,$location,$method,$experience)
 	{
 
+	$tdstyle="";
 	$emopen="";
 	$emclose="";
 
@@ -238,20 +239,21 @@
 	{
 		if ($awarded == "0")
 		{
-			$emopen="<em>";
-			$emclose="</em>";
+       $tdstyle="style='background-color: #ffff80'";
+	     $emopen="<em>";
+	     $emclose="</em>";
 		}
 	}
 
 ?>
     <tr>
-	<td class="DataTD"><?=$emopen?><?=$assuranceid?><?=$emclose?></td>
-    	<td class="DataTD"><?=$emopen?><?=$date?><?=$emclose?></td>
-    	<td class="DataTD"><?=$emopen?><?=$name?><?=$emclose?></td>
-    	<td class="DataTD"><?=$emopen?><?=$awarded?><?=$emclose?></td>
-    	<td class="DataTD"><?=$emopen?><?=$location?><?=$emclose?></td>
-    	<td class="DataTD"><?=$emopen?><?=$method?><?=$emclose?></td>
-    	<td class="DataTD"><?=$emopen?><?=$experience?><?=$emclose?></td>
+	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$assuranceid?><?=$emclose?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$date?><?=$emclose?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$name?><?=$emclose?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$awarded?><?=$emclose?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$location?><?=$emclose?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$method?><?=$emclose?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$experience?><?=$emclose?></td>
     </tr>
 <?
 	}
bug827-110927b.diff (1,620 bytes)   

NEOatNHNG

2011-09-28 03:11

administrator   ~0002544

Patch supplied by Uli added to the test server.

Uli60

2011-09-30 09:58

updater   ~0002549

login to testaccount who has 0 pts in awarded
My Details - View Points
lists a 0 pts assurance (no marker) => ok
New Calculation
lists a 0 pts assurance marked italic / yellow background => ok

login to 2nd testaccount who has 0 pts assurances in awarded
My Details - View Points
lists a 0 pts assurance (no marker) => ok
New Calculation
lists a 0 pts assurance marked italic / yellow background => ok

INOPIAE

2011-10-01 06:40

updater   ~0002555

login to testaccount who has 0 pts in awarded
My Details - View Points
lists a 0 pts assurance (no marker) => ok
New Calculation
lists a 0 pts assurance marked italic / yellow background => ok

login to 2nd testaccount who has 0 pts assurances in awarded
My Details - View Points
lists a 0 pts assurance (no marker) => ok
New Calculation
lists a 0 pts assurance marked italic / yellow background => ok

Uli60

2011-10-04 11:43

updater   ~0002567

last patches again tested by 2 testers
patch to review and to deploy to critical team
together with patch bug 0000882

Ted

2011-10-07 19:43

administrator   ~0002579

Did another review of the changes since the last patch.

Handed off the patch request to Critical Admins.

wytze

2011-10-07 20:02

developer   ~0002580

Additional (partial) fix installed on production system on October 7, 2011.
See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2011-10/msg00004.html

wytze

2011-10-07 20:07

developer   ~0002581

Still awaiting final part of patches for this issue.

INOPIAE

2011-10-19 11:11

updater   ~0002608

Last edited: 2011-10-19 11:18

View 3 revisions

We changed one entry to match the conditions by a sql injection in the notary table
AssuranceID 256397
awarded 0 pts, points 35 pts, date 2006-03-01

Cats2 was assured by Marcus M
Results from Cats2 points receivied (assuree):
10.php 35 Pts, no color => ok
15.php 35 Pts, no color => ok

Results from Marcus M points given (assurer):
10.php 35 Pts, no color => ok
15.php 0 Pts, no color => false Points should be shown no color is correct

Result from SE looking at Cats2:
43.php old calc: 35pts, no color => ok
43.php new calc: 35pts, no color => ok

Result from SE looking at Marcus M:
43.php old calc: 35pts, no color => ok
43.php new calc: 0pts, no color => false Points should be shown no color is correct

INOPIAE

2011-10-19 14:48

updater   ~0002609

We changed one entry to match the conditions by a sql injection in the notary table
AssuranceID 256459
awarded 0 pts, points 0 pts, date 2006-03-01

Marcus M was assured by koblenz test
Results from Marcus M points receivied (assuree):
10.php 0 Pts, no color => ok
15.php 0 Pts, color => ok

Results from koblenz test M points given (assurer):
10.php 0 Pts, no color => ok
15.php 0 Pts, color => ok

Result from SE looking at Marcus M:
43.php old calc: 0pts, no color => ok
43.php new calc: 0pts, color => ok

Result from SE looking at koblenz test:
43.php old calc: 0pts, no color => ok
43.php new calc: 0pts, color => ok

NEOatNHNG

2011-10-20 09:56

administrator   ~0002611

Dirk has pushed some changes during the last Software Assessment meeting which restrict the lines marked as "needing attention" (yellow coloured and so on) to assurances before the magic date 2009-09-01 which should be the point in time when the "awarded" column was introduced AFAIK. I have reviewed the changes and they are acceptable. It still needs some testing though (I think u60 mentioned another issue that was not yet fixed, something to do with assurances that only have points set in the "points" column but not in "awarded" IIRC).

Uli60

2011-10-25 23:20

updater   ~0002650

Last edited: 2011-10-25 23:21

View 2 revisions

test done by inopiae

user cats2@
and
user m.maengel@

all tests ok (as responded within https://wiki.cacert.org/Software/Assessment/20111025-S-A-MiniTOP meeting)

related to test report https://bugs.cacert.org/view.php?id=827#c2608

NEOatNHNG

2011-10-25 23:26

administrator   ~0002651

Dirk has coded further corrections (awarded 0 points 35 counted as 0 bug). I have reviewed and accepted them. Needs testing.

Uli60

2011-10-25 23:34

updater   ~0002652

password reset for cats2@ and m.maengel@

login cats2
my points, 10.php
256397 2006-06-30 Marcus Mängel 35 test
=> ok

new calc, 15.php
256397 2006-06-30 Marcus Mängel 35 test
=> ok


login m.m
my points 10.php
assurances given
256397 2006-06-30 cats2 cats2 35
=> ok

new calc 15.php
assurances given
256397 2006-06-30 cats2 cats2 35 test
=> ok

new calc 15.php
assurance points rcvd
256459 2006-03-01 koblenz test 0 kkk Persönliches Treffen
=> ok

Uli60

2011-10-26 00:39

updater   ~0002653

bug 0000827 and bug#882 test series:

sql injection by Michael:

256914 2011-09-27 11:11:32 Marcus M 35
awarded=0, points=35
assurance-when 26.10.2004
when= 26.10.2004


gerhard@w
marcus m



256399 05.07.2011 Uli User942 35
awarded=0, points=35
assurance-when 2005-10-26
when 2005-10-26

gerhard@w
Uli User942

----------------------------------------------------------------



login as user: 827 tests
logged-in: gerhard@
============================


rcvd,old
https://cacert1.it-sls.de/wot.php?id=10
assurances rcvd
256914 2004-10-26 Marcus M 35
=> ok

given,old
assurances given
256399 2005-10-26 Uli User942 35
=> ok


https://cacert1.it-sls.de/wot.php?id=15
given,new
assurances given
256399 2005-10-26 Uli User942 35
=> ok

rcvd,new
assurances received
256914 2004-10-26 Marcus Mängel 35 dort
=> ok




login as SE: 882 tests
============================

find user gerhard@w
assurances user got (old)
https://cacert1.it-sls.de/account.php?id=43&userid=171044&shownotary=assuredto
256914 2004-10-26 Marcus Mängel m.maengel@ 35
=> ok

new calc
https://cacert1.it-sls.de/account.php?id=43&userid=171044&shownotary=assuredto15
256914 2004-10-26 2004-10-26 00:00:00 m.maengel@ Marcus M 35 dort
=> ok

assurances user gave (old)
https://cacert1.it-sls.de/account.php?id=43&userid=171044&shownotary=assuredby
256399 2005-10-26 Uli User942 user942@w 35
=> ok

new calc
https://cacert1.it-sls.de/account.php?id=43&userid=171044&shownotary=assuredby15
256399 2005-10-26 2005-10-26 00:00:00 user942@w Uli User942 35
=> ok



find user user942@w
got, old
256399 2005-10-26 Gerhard von Reith gerhard@w 35
=> ok

got new
256399 2005-10-26 2005-10-26 00:00:00 gerhard@w Gerhard von Reith 35
=> ok

user gave (old)
0 entries
=> ok

user gave (new)
0 entries
=> ok



find user m.maengel@
got, old
256459 2006-03-01 koblenz test koblenz@i 0 kkk
(0:0 case)
=> ok

got, new
256459 2006-03-01 2006-03-01 00:00:00 koblenz@i koblenz test 0 kkk
marked yellow
=> ok

got, new
256919 27.09.2011 2011-09-28 00:34:50 wolfgang@w Wolfgang S 0 virt. test
0 pts assurance
marked yellow ???
=> ??? => limit marker for assurances < 1.9.2006 is not yet added to 43.php, but can be ignored


gave, old
256397 2006-06-30 cats2 cats2 cats2@i 35 test
=> ok

256914 2004-10-26 GvR gerhard@w 35 dort
=> ok


gave, new
256397 2006-06-30 2006-06-30 00:00:00 cats2@i cats2 cats2 35 test
=> ok

256914 2004-10-26 2004-10-26 00:00:00 gerhard@w GvR 35 dort
=> ok


256917 2011-09-28 00:00:42 2011-09-28 00:00:42 test.magu@w test magu 0 zuhause
marked yellow
=> ??? => limit marker for assurances < 1.9.2006 is not yet added to 43.php, but can be ignored




login as user: 827 tests
logged-in: user942@w
============================


rcvd,old
https://cacert1.it-sls.de/wot.php?id=10
assurances rcvd
256399 2005-10-26 GvR 35 virtual meeting
=> ok

given,old
assurances given
0 entries
=> ok


https://cacert1.it-sls.de/wot.php?id=15
given,new
assurances given
0 entries
=> ok

rcvd,new
assurances received
256399 2005-10-26 GvR 35 virtual meeting
Assurance-Punkte die du erhalten hast 140 100 Limit erreicht
Du kannst bis zu maximal 10 Punkte vergeben
=> ok




login as user: 827 tests
logged-in: m.m
============================

rcvd,old
my points
256459 2006-03-01 koblenz test 0 kkk
=> ok

given,old
256397 2006-06-30 cats2 cats2 35 test
=> ok

256914 2004-10-26 GvR 35 dort
=> ok


given, new
256397 2006-06-30 cats2 cats2 35 test
=> ok

256914 2004-10-26 GvR 35 dort
=> ok


rcvd, new
256459 2006-03-01 koblenz test 0 kkk
=> ok

Uli60

2011-10-26 00:54

updater   ~0002656

good to go
reviewed 2 times
with modified (injected) notary entries from inopiae's test accounts
with modified (injected) notary entries from uli's test accounts

NEOatNHNG

2011-10-26 12:15

administrator   ~0002659

Patch sent to critical admins.

wytze

2011-10-27 12:44

developer   ~0002664

The patch has been installed on the production server on October 27, 2011. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2011-10/msg00013.html

Uli60

2011-11-02 00:41

updater   ~0002666

NEO
correction of check date from 2009 to LT 2006-09-01
according to a20091118.1 and a20100822.1

Uli60

2011-11-02 00:45

updater   ~0002667

255703 22.12.2010 Wolfgang S 35 virtual F2F F2F 2
console sql update by NEO
date=2006-08-30 upto 2006-09-02, awarded=0, points=0

827
                2006-09-02 not yellow => ok
                2006-09-01 not yellow => ok
                2006-08-30 italic + yellow => ok
882
                2006-09-02 not yellow => ok
                2006-09-01 not yellow => ok
                2006-08-30 italic + yellow => ok
                2006-08-31 italic + yellow => ok

NEOatNHNG

2011-11-09 00:36

administrator   ~0002683

reviewed by dastrath an good to go.

NEOatNHNG

2011-11-15 16:52

administrator   ~0002687

Mail sent to critical admins

wytze

2011-11-16 15:08

developer   ~0002694

The follow-up patch has been installed on the production server on November 16, 2011. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2011-11/msg00005.html

NEOatNHNG

2011-11-23 23:45

administrator   ~0002721

Special test/fixing session today to get the thawte mailing script up and running. MartinGummi, INOPIAE and alex have tested this and I have reviewed dirks version and made some adjustments/fixes.

@Dirk please review the changes I have made since your version (git diff e55a71 origin/bug-827).

NEOatNHNG

2011-11-27 04:23

administrator   ~0002725

My changes to the mailing script have been reviewed by dastrath. -> Ready to release. Mail sent to critical admins.

wytze

2011-11-27 09:34

developer   ~0002726

The follow-up fix has been installed on the production server on November 27, 2011. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2011-11/msg00015.html
The mailing script included in this fix has been started on November 27, 2011.

NEOatNHNG

2011-11-29 22:26

administrator   ~0002730

wot.inc.php and notary.inc.php are to be merged. Also there is an issue if a user is less than 14 years old the limit of 0 points is not respected (PoJAM)

wytze

2011-12-01 09:15

developer   ~0002733

The mailing run completed on November 30, 2011 at 20:45 CET.
In total 210386 e-mails were sent by the script.

Issue History

Date Modified Username Field Change
2010-07-24 10:49 iang New Issue
2010-07-24 10:50 iang Note Added: 0001601
2010-08-25 00:19 law File Added: sql_wot_my_points.diff
2010-08-25 00:20 law File Added: 10.php
2010-08-25 00:23 law Note Added: 0001681
2010-10-19 08:31 edgarwahn Note Added: 0001759
2010-10-19 08:31 edgarwahn Assigned To => Uli60
2010-10-19 08:31 edgarwahn Status new => needs feedback
2010-10-19 14:43 edgarwahn Note Added: 0001760
2010-10-19 14:43 edgarwahn File Added: patch.zip
2010-10-19 15:56 Uli60 Note Added: 0001761
2010-10-19 15:57 Uli60 Note Added: 0001762
2010-10-19 16:57 MartinGummi Note Added: 0001763
2010-10-19 17:09 MartinGummi Note Edited: 0001763
2010-10-19 17:09 MartinGummi Note Edited: 0001763
2010-10-19 17:16 MartinGummi Note Added: 0001764
2010-10-20 17:16 Uli60 Note Added: 0001765
2010-10-20 17:19 Uli60 Note Edited: 0001765
2010-10-20 17:30 Uli60 Note Added: 0001766
2010-10-20 17:31 Uli60 Note Edited: 0001766
2010-10-20 17:36 Uli60 Note Edited: 0001766
2010-10-20 17:41 Uli60 Note Edited: 0001766
2010-10-26 09:33 peckel Note Added: 0001769
2010-10-26 10:01 peckel Note Added: 0001770
2010-10-26 10:04 peckel Note Added: 0001771
2010-10-26 10:09 peckel Note Added: 0001772
2010-10-29 04:44 INOPIAE Note Added: 0001773
2010-10-31 20:09 Uli60 Note Added: 0001774
2010-11-01 13:18 Uli60 Note Added: 0001775
2010-11-02 16:21 Uli60 Note Added: 0001776
2010-11-02 16:21 Uli60 Note Edited: 0001776
2010-11-02 16:29 Uli60 Note Added: 0001777
2010-11-02 16:31 Uli60 Note Edited: 0001777
2010-11-08 12:27 iang Note Added: 0001779
2010-11-17 22:40 Uli60 Note Added: 0001788
2010-12-15 02:55 Uli60 Note Added: 0001824
2010-12-15 03:45 Uli60 Note Added: 0001825
2010-12-17 18:35 Uli60 Note Added: 0001826
2010-12-17 19:03 Uli60 Note Added: 0001827
2010-12-21 22:04 Uli60 Note Added: 0001828
2010-12-22 02:29 Uli60 Note Added: 0001830
2010-12-22 02:34 Uli60 Note Edited: 0001828
2010-12-23 11:38 Uli60 Note Added: 0001831
2011-01-07 15:47 INOPIAE Note Added: 0001835
2011-01-16 19:32 Uli60 Note Added: 0001837
2011-01-16 19:34 Uli60 Note Added: 0001838
2011-01-16 19:49 Uli60 Note Added: 0001839
2011-01-16 21:28 INOPIAE Note Added: 0001840
2011-01-22 13:32 Uli60 Note Added: 0001841
2011-01-31 04:20 Uli60 Note Added: 0001851
2011-02-16 19:11 NEOatNHNG Note Added: 0001870
2011-02-19 15:01 Uli60 Note Added: 0001871
2011-02-19 15:54 Uli60 Note Added: 0001872
2011-02-19 16:24 Uli60 Note Added: 0001873
2011-02-19 16:39 Uli60 Note Edited: 0001873
2011-02-19 17:22 Uli60 Note Added: 0001874
2011-02-19 17:23 Uli60 Note Edited: 0001874
2011-02-19 17:24 Uli60 Note Edited: 0001874
2011-02-19 20:33 Uli60 Note Added: 0001875
2011-02-20 14:04 Uli60 Note Added: 0001876
2011-02-20 14:25 Uli60 Note Edited: 0001876
2011-02-20 14:38 Uli60 Note Added: 0001877
2011-02-20 15:03 Uli60 Note Added: 0001878
2011-02-27 00:04 Uli60 Note Added: 0001879
2011-02-27 00:17 Uli60 Note Added: 0001880
2011-03-22 23:45 Uli60 Note Added: 0001894
2011-04-16 08:18 Uli60 Note Added: 0001928
2011-04-16 08:23 Uli60 File Added: 15.php
2011-05-22 00:23 Uli60 Relationship added related to 0000933
2011-06-15 01:19 NEOatNHNG Note Added: 0002044
2011-06-15 01:19 NEOatNHNG Assigned To Uli60 => egal
2011-06-15 01:19 NEOatNHNG Status needs feedback => needs review & testing
2011-06-19 16:53 NEOatNHNG Source_changeset_attached => cacert-devel master 22ca2a44
2011-06-19 16:53 Source_changeset_attached => cacert-devel master db3715f5
2011-06-19 16:53 NEOatNHNG Source_changeset_attached => cacert-devel master 5c048b3f
2011-06-19 16:53 NEOatNHNG Source_changeset_attached => cacert-devel master 9cc42b8f
2011-06-19 16:53 NEOatNHNG Source_changeset_attached => cacert-devel master 0f3a0324
2011-06-19 16:53 egal Source_changeset_attached => cacert-devel master 8fdcc7bc
2011-06-19 16:53 NEOatNHNG Source_changeset_attached => cacert-devel master d657730d
2011-06-19 16:53 NEOatNHNG Source_changeset_attached => cacert-devel master 7d71929c
2011-06-21 22:07 Uli60 Note Added: 0002055
2011-06-21 22:52 Uli60 Note Added: 0002057
2011-06-21 22:57 Uli60 Note Added: 0002058
2011-06-21 23:03 Uli60 Note Added: 0002060
2011-06-21 23:05 Uli60 Note Added: 0002061
2011-06-21 23:09 INOPIAE Note Added: 0002062
2011-06-21 23:10 INOPIAE Note Edited: 0002062 View Revisions
2011-06-21 23:46 NEOatNHNG Source_changeset_attached => cacert-devel master f895c792
2011-06-21 23:46 NEOatNHNG Source_changeset_attached => cacert-devel master a8eb7051
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master f895c792
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master a8eb7051
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master 22ca2a44
2011-06-21 23:57 Source_changeset_attached => cacert-devel master db3715f5
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master 1ec50c91
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master a509863d
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master 5c048b3f
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master 9cc42b8f
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master 0f3a0324
2011-06-21 23:57 egal Source_changeset_attached => cacert-devel master 8fdcc7bc
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master d657730d
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master 7d71929c
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master f895c792
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master a8eb7051
2011-06-22 00:09 Source_changeset_attached => cacert-devel master d3b6033b
2011-06-22 00:09 Source_changeset_attached => cacert-devel master b218463f
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master 22ca2a44
2011-06-22 00:09 Source_changeset_attached => cacert-devel master db3715f5
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master 1ec50c91
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master a509863d
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master aaa11c69
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master 96594c54
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master 5c048b3f
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master 9cc42b8f
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master 0f3a0324
2011-06-22 00:09 egal Source_changeset_attached => cacert-devel master 8fdcc7bc
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master d657730d
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master 7d71929c
2011-06-28 22:13 moh File Added: Ausgangsbild in der 10.php.png
2011-06-28 22:14 moh File Added: Ergebnis in der 15.php.png
2011-06-28 22:16 moh Note Added: 0002066
2011-07-02 01:45 NEOatNHNG Reviewed by => dastrath
2011-07-12 17:32 INOPIAE Note Added: 0002112
2011-07-12 17:34 INOPIAE Note Edited: 0002112 View Revisions
2011-07-12 17:36 INOPIAE Note Edited: 0002112 View Revisions
2011-07-12 18:45 INOPIAE Note Edited: 0002112 View Revisions
2011-07-12 23:20 Uli60 Relationship added related to 0000959
2011-08-02 20:59 Ted Assigned To egal => Ted
2011-08-02 22:12 Uli60 Note Added: 0002259
2011-08-02 22:12 Uli60 Status needs review & testing => needs review
2011-08-03 10:37 Uli60 Note Edited: 0002259 View Revisions
2011-08-03 10:39 Uli60 Note Edited: 0002259 View Revisions
2011-08-03 10:43 Uli60 Relationship added related to 0000942
2011-08-06 19:50 Source_changeset_attached => cacert-devel master 6a9a927c
2011-08-07 22:05 Ted Source_changeset_attached => cacert-devel release 439d6958
2011-08-08 06:30 Ted Reviewed by dastrath => dastrath, Ted
2011-08-08 06:30 Ted Note Added: 0002285
2011-08-08 06:30 Ted Status needs review => ready to deploy
2011-08-15 16:14 wytze Note Added: 0002295
2011-08-15 16:14 wytze Status ready to deploy => solved?
2011-08-16 22:08 Ted Note Added: 0002298
2011-08-16 22:08 Ted Assigned To Ted => egal
2011-08-16 22:08 Ted Status solved? => needs work
2011-08-16 22:09 Ted Note Edited: 0002298 View Revisions
2011-08-16 23:20 NEOatNHNG Source_changeset_attached => cacert-devel master 08c08bdb
2011-08-16 23:20 Source_changeset_attached => cacert-devel master 92087290
2011-08-17 19:33 Uli60 Note Added: 0002303
2011-08-17 19:35 Uli60 Note Added: 0002304
2011-08-17 19:35 Uli60 Status needs work => needs review & testing
2011-08-17 19:59 Uli60 Note Added: 0002305
2011-08-23 22:30 NEOatNHNG Source_changeset_attached => cacert-devel master 848dde0d
2011-08-23 22:30 Source_changeset_attached => cacert-devel master 32b9c96f
2011-08-23 22:30 Source_changeset_attached => cacert-devel master 5e62a3c2
2011-08-23 23:04 NEOatNHNG Note Added: 0002342
2011-08-23 23:04 NEOatNHNG Status needs review & testing => needs testing
2011-08-24 01:55 Uli60 Note Added: 0002343
2011-08-24 02:00 Uli60 Note Edited: 0002343 View Revisions
2011-08-24 02:06 Uli60 Note Edited: 0002343 View Revisions
2011-08-24 02:14 Uli60 Note Edited: 0002343 View Revisions
2011-08-24 02:19 Uli60 Note Edited: 0002343 View Revisions
2011-08-24 02:22 Uli60 Note Edited: 0002343 View Revisions
2011-08-24 02:33 Uli60 Note Edited: 0002343 View Revisions
2011-08-30 22:24 INOPIAE Note Added: 0002369
2011-08-30 23:47 Uli60 Assigned To egal => NEOatNHNG
2011-08-30 23:47 Uli60 Status needs testing => ready to deploy
2011-09-06 15:45 NEOatNHNG Source_changeset_attached => cacert-devel release b9c3f59c
2011-09-06 16:02 NEOatNHNG Note Added: 0002410
2011-09-07 10:43 wytze Note Added: 0002421
2011-09-07 10:43 wytze Status ready to deploy => solved?
2011-09-07 10:43 wytze Resolution open => fixed
2011-09-13 23:04 Uli60 Relationship added related to 0000882
2011-09-13 23:37 Uli60 Note Added: 0002428
2011-09-13 23:37 Uli60 Status solved? => needs feedback
2011-09-13 23:37 Uli60 Resolution fixed => reopened
2011-09-14 01:55 NEOatNHNG Source_changeset_attached => cacert-devel master cea4bdfe
2011-09-14 01:55 Source_changeset_attached => cacert-devel master 7bde59f4
2011-09-14 23:02 Uli60 Status needs feedback => needs review & testing
2011-09-14 23:02 Uli60 Relationship added related to 0000855
2011-09-14 23:14 Uli60 Note Added: 0002439
2011-09-15 01:17 Uli60 Relationship added related to 0000888
2011-09-15 06:19 egal Note Added: 0002441
2011-09-15 15:29 Uli60 Relationship added related to 0000837
2011-09-17 12:13 Uli60 Relationship added related to 0000980
2011-09-17 20:35 Uli60 Relationship added parent of 0000716
2011-09-20 22:00 NEOatNHNG Source_changeset_attached => cacert-devel master 9336a87d
2011-09-20 22:00 Source_changeset_attached => cacert-devel master d7add31f
2011-09-20 22:35 NEOatNHNG Source_changeset_attached => cacert-devel master 55c4094a
2011-09-20 22:35 Source_changeset_attached => cacert-devel master f6f19d4b
2011-09-27 21:45 NEOatNHNG Source_changeset_attached => cacert-devel master 083c96ed
2011-09-27 21:45 Source_changeset_attached => cacert-devel master 4861134c
2011-09-27 23:12 NEOatNHNG Source_changeset_attached => cacert-devel testserver e4c99c00
2011-09-28 00:54 Uli60 File Added: bug827-110927b.diff
2011-09-28 03:10 NEOatNHNG Source_changeset_attached => cacert-devel testserver 5ba1250f
2011-09-28 03:10 NEOatNHNG Source_changeset_attached => cacert-devel testserver d151f600
2011-09-28 03:11 NEOatNHNG Note Added: 0002544
2011-09-28 03:23 NEOatNHNG Reviewed by dastrath, Ted =>
2011-09-30 09:58 Uli60 Note Added: 0002549
2011-10-01 06:40 INOPIAE Note Added: 0002555
2011-10-04 11:43 Uli60 Note Added: 0002567
2011-10-04 11:43 Uli60 Status needs review & testing => ready to deploy
2011-10-04 21:40 Ted Assigned To NEOatNHNG => Ted
2011-10-07 19:27 Ted Reviewed by => Ted
2011-10-07 19:42 Ted Assigned To Ted =>
2011-10-07 19:43 Ted Note Added: 0002579
2011-10-07 19:50 Source_changeset_attached => cacert-devel release 8dbed757
2011-10-07 20:02 wytze Note Added: 0002580
2011-10-07 20:02 wytze Status ready to deploy => solved?
2011-10-07 20:02 wytze Resolution reopened => fixed
2011-10-07 20:02 wytze Assigned To => wytze
2011-10-07 20:07 wytze Note Added: 0002581
2011-10-07 20:07 wytze Status solved? => needs feedback
2011-10-07 20:07 wytze Resolution fixed => reopened
2011-10-18 21:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver a2f8cf59
2011-10-18 21:40 Source_changeset_attached => cacert-devel testserver 5006e53c
2011-10-19 11:11 INOPIAE Note Added: 0002608
2011-10-19 11:12 INOPIAE Note Edited: 0002608 View Revisions
2011-10-19 11:18 INOPIAE Note Edited: 0002608 View Revisions
2011-10-19 14:48 INOPIAE Note Added: 0002609
2011-10-20 09:56 NEOatNHNG Note Added: 0002611
2011-10-20 09:56 NEOatNHNG Assigned To wytze => Uli60
2011-10-20 09:56 NEOatNHNG Status needs feedback => needs review & testing
2011-10-20 10:01 NEOatNHNG Status needs review & testing => needs testing
2011-10-20 10:02 NEOatNHNG Reviewed by Ted => NEOatNHNG
2011-10-20 10:03 NEOatNHNG Reviewed by NEOatNHNG => dastrath, NEOatNHNG
2011-10-25 21:35 NEOatNHNG Source_changeset_attached => cacert-devel testserver 04f096ef
2011-10-25 21:35 Source_changeset_attached => cacert-devel testserver c01f05a3
2011-10-25 23:20 NEOatNHNG Source_changeset_attached => cacert-devel testserver ec58d147
2011-10-25 23:20 Source_changeset_attached => cacert-devel testserver f5ae2d52
2011-10-25 23:20 Uli60 Note Added: 0002650
2011-10-25 23:21 Uli60 Note Edited: 0002650 View Revisions
2011-10-25 23:26 NEOatNHNG Note Added: 0002651
2011-10-25 23:34 Uli60 Note Added: 0002652
2011-10-26 00:39 Uli60 Note Added: 0002653
2011-10-26 00:54 Uli60 Note Added: 0002656
2011-10-26 00:54 Uli60 Status needs testing => ready to deploy
2011-10-26 12:15 NEOatNHNG Note Added: 0002659
2011-10-26 13:00 NEOatNHNG Source_changeset_attached => cacert-devel release 9f1608a0
2011-10-27 12:44 wytze Note Added: 0002664
2011-11-02 00:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver c3009c6d
2011-11-02 00:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver 954f554f
2011-11-02 00:41 Uli60 Note Added: 0002666
2011-11-02 00:45 Uli60 Note Added: 0002667
2011-11-08 15:53 NEOatNHNG Assigned To Uli60 => egal
2011-11-08 15:53 NEOatNHNG Status ready to deploy => needs review
2011-11-08 15:53 NEOatNHNG Reviewed by dastrath, NEOatNHNG => NEOatNHNG
2011-11-09 00:36 NEOatNHNG Note Added: 0002683
2011-11-09 00:36 NEOatNHNG Assigned To egal => NEOatNHNG
2011-11-09 00:36 NEOatNHNG Status needs review => ready to deploy
2011-11-09 00:37 NEOatNHNG Reviewed by NEOatNHNG => dastrath, NEOatNHNG
2011-11-15 16:52 NEOatNHNG Note Added: 0002687
2011-11-15 22:10 NEOatNHNG Source_changeset_attached => cacert-devel release 76a6feac
2011-11-16 15:08 wytze Note Added: 0002694
2011-11-22 21:50 NEOatNHNG Source_changeset_attached => cacert-devel testserver f05583cb
2011-11-22 23:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver 0632fcde
2011-11-22 23:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver 400bd0a0
2011-11-22 23:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver e577b7cf
2011-11-22 23:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver 14688d97
2011-11-23 00:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver ebe2cb9a
2011-11-23 00:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver 907f7d2c
2011-11-23 00:30 NEOatNHNG Source_changeset_attached => cacert-devel testserver 58282916
2011-11-23 00:30 NEOatNHNG Source_changeset_attached => cacert-devel testserver 4653e10b
2011-11-23 21:30 NEOatNHNG Source_changeset_attached => cacert-devel testserver d0d98ab9
2011-11-23 21:30 NEOatNHNG Source_changeset_attached => cacert-devel testserver 4b1ab7a7
2011-11-23 21:30 NEOatNHNG Source_changeset_attached => cacert-devel testserver 576aa268
2011-11-23 22:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver 2dc1725c
2011-11-23 22:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver cf3add25
2011-11-23 23:45 NEOatNHNG Note Added: 0002721
2011-11-23 23:45 NEOatNHNG Assigned To NEOatNHNG => egal
2011-11-23 23:45 NEOatNHNG Status ready to deploy => needs review
2011-11-23 23:46 NEOatNHNG Reviewed by dastrath, NEOatNHNG => NEOatNHNG
2011-11-27 04:23 NEOatNHNG Note Added: 0002725
2011-11-27 04:23 NEOatNHNG Status needs review => ready to deploy
2011-11-27 04:24 NEOatNHNG Reviewed by NEOatNHNG => dastrath, NEOatNHNG
2011-11-27 04:30 NEOatNHNG Source_changeset_attached => cacert-devel release 675711c4
2011-11-27 09:34 wytze Note Added: 0002726
2011-11-27 09:34 wytze Status ready to deploy => solved?
2011-11-27 09:34 wytze Resolution reopened => fixed
2011-11-29 22:26 NEOatNHNG Note Added: 0002730
2011-11-29 22:26 NEOatNHNG Status solved? => needs work
2011-12-01 09:15 wytze Note Added: 0002733
2012-12-27 06:33 Werner Dworak Relationship added related to 0001054
2012-12-27 06:34 Werner Dworak Relationship added related to 0001042
2013-01-09 04:08 Werner Dworak Relationship added related to 0001134
2014-12-15 13:41 L10N Tag Attached: Points
2014-12-15 13:41 L10N Tag Attached: Tverify
2015-01-06 21:15 BenBE Relationship added child of 0001355
2015-01-06 21:43 BenBE Status needs work => solved?
2015-01-06 21:43 BenBE Fixed in Version => 2011 Q4
2015-05-12 20:29 INOPIAE Status solved? => closed